!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_3420) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3422) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +   &
                        coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3425) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3424) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66&
                        )*coupl(nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3427) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70&
                        )*coupl(nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_3426) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +   &
                        coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_69)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5000) = coupl(nGC_71)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_3389) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5009) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_5008) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3575)
      coupl(nGC_5611) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0&
                         + coupl(nGC_3593)
      coupl(nGC_6089) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_5940) = coupl(nGC_3679) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_5941) = -coupl(nGC_5937)
      coupl(nGC_5340) = coupl(nGC_39)*dZuL_QCD2
      coupl(nGC_6444) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6445) = coupl(nGC_3656) + coupl(nGC_6444)
      coupl(nGC_6446) = coupl(nGC_3657) + coupl(nGC_59)*dZH_QED2/2d0
      coupl(nGC_6443) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_6624) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6625) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZdL_QED2/2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_3269) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_5539) = coupl(nGC_3601) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl( &
                        nGC_61)*dZuL_QED2/2d0
      coupl(nGC_5538) = coupl(nGC_3602) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl( &
                        nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_5537) = coupl(nGC_3600) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl( &
                        nGC_61)*dZuL_QCD2/2d0
      coupl(nGC_5861) = coupl(nGC_3587) + coupl(nGC_46)*dZZ_QED2
      coupl(nGC_5330) = coupl(nGC_3647) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl( &
                        nGC_60)*dZcR_QED2/2d0
      coupl(nGC_7119) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_7051) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3550)
      coupl(nGC_7052) = -coupl(nGC_7051)
      coupl(nGC_3618) = coupl(nGC_3124)*dys_QED1_QCD2
      coupl(nGC_3619) = coupl(nGC_3124)*dys_QED3
      coupl(nGC_3349) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3344) = (coupl(nGC_1168)*coupl(nGC_41)*coupl(nGC_69) + coupl(  &
                        nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23)*   &
                        coupl(nGC_362)*coupl(nGC_70) + coupl(nGC_36)*coupl(    &
                        nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(   &
                        32d0*pi**2d0)
      coupl(nGC_3613) = coupl(nGC_3117)*dydo_QED3
      coupl(nGC_3340) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_73) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_1168)*  &
                        coupl(nGC_34)*coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(   &
                        nGC_74) - coupl(nGC_23)*coupl(nGC_236)*coupl(nGC_75) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*   &
                        coupl(nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(     &
                        nGC_60)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_3341) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_1168)*   &
                        coupl(nGC_39)*coupl(nGC_61) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*    &
                        coupl(nGC_63) + coupl(nGC_23)*coupl(nGC_362)*coupl(    &
                        nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_61) - coupl( &
                        nGC_62)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_63)*   &
                        coupl(nGC_85)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3342) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1168)*   &
                        coupl(nGC_35)*coupl(nGC_85) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*    &
                        coupl(nGC_86) + coupl(nGC_23)*coupl(nGC_236)*coupl(    &
                        nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_85) - coupl( &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_87) - coupl(nGC_61)*   &
                        coupl(nGC_64)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_3343) = (coupl(nGC_1168)*coupl(nGC_41)*coupl(nGC_65) + coupl(  &
                        nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23)*   &
                        coupl(nGC_362)*coupl(nGC_66) + coupl(nGC_36)*coupl(    &
                        nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(   &
                        32d0*pi**2d0)
      coupl(nGC_6053) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_40)*dZZA_QED2/2d0
      coupl(nGC_6054) = -coupl(nGC_6053)
      coupl(nGC_5404) = coupl(nGC_3655) + coupl(nGC_87)*dZH_QED2/2d0
      coupl(nGC_5401) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_5402) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_3258) = cima*(coupl(nGC_164)**2d0 + coupl(nGC_25)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_3259) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_38)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_40)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_164)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_25)**2d0 - 2d0*cMW**2d0*coupl(nGC_592))/(16d0*pi** &
                        2d0)
      coupl(nGC_4939) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_4936) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_4932) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3559)
      coupl(nGC_3500) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_3501) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0&
                        *pi**2d0*Nc)
      coupl(nGC_3465) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3464) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**&
                        2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3467) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3466) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_3461) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl&
                        (nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3460) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)**&
                        2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3463) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3462) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**&
                        2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_7475) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZeMinusR_QED2
      coupl(nGC_3319) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_53) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_1168)*  &
                        coupl(nGC_34)*coupl(nGC_53) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(   &
                        nGC_55) - coupl(nGC_23)*coupl(nGC_362)*coupl(nGC_56) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*   &
                        coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_56)*coupl(     &
                        nGC_77)*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_7478) = coupl(nGC_5122) + coupl(nGC_7476)
      coupl(nGC_3256) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_35) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_39) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_35) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_39) + 2d0*cME**2d0*cima*coupl(nGC_36)*coupl(nGC_4  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_36)*coupl(nGC_4) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_36)*coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_40) + 3d0*cMW**2d0*cima*coupl(nGC_164 &
                        )*coupl(nGC_184) + 3d0*cMW**2d0*cima*coupl(nGC_25)*    &
                        coupl(nGC_3) - 2d0*cMW**2d0*coupl(nGC_29))/(16d0*pi**  &
                        2d0)
      coupl(nGC_5164) = coupl(nGC_3582) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZZ_QED2/2d0
      coupl(nGC_5165) = -coupl(nGC_5164)
      coupl(nGC_3257) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35 &
                        )**2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(     &
                        nGC_39)**2d0 - coupl(nGC_164)**2d0 - coupl(nGC_25)**2d0&
                         - 2d0*coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 -   &
                        2d0*coupl(nGC_41)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3263) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3262) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_39)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3261) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3260) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3267) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                        nGC_40)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3266) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3265) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3264) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_6375) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_6177) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_6270) = coupl(nGC_3677) + coupl(nGC_6266)
      coupl(nGC_3652) = coupl(nGC_3127)*dyt_QED1_QCD2
      coupl(nGC_5574) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3653) = coupl(nGC_3127)*dyt_QED3
      coupl(nGC_5573) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_5279) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3574)
      coupl(nGC_3487) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55 &
                        )**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_63)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_75)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_38)*coupl(nGC_55)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_38)*coupl(nGC_63)**2d0 - 12d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 12d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - 12d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 -  &
                        12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)**&
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(   &
                        nGC_59)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*&
                        coupl(nGC_79)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_39)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(nGC_1168)* &
                        coupl(nGC_178)*coupl(nGC_20)*coupl(nGC_236) + 9d0*cima*&
                        coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_20)*coupl(     &
                        nGC_236) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) + 9d0*&
                        cima*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_266)*coupl( &
                        nGC_3) + 4d0*cima*coupl(nGC_21)*coupl(nGC_266)*coupl(  &
                        nGC_4)*coupl(nGC_40) - 12d0*cima*coupl(nGC_36)*coupl(  &
                        nGC_4)*coupl(nGC_67)**2d0 - 12d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_71)**2d0 - 12d0*cima*coupl(     &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_83)**2d0 - 12d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67)**2d0 - 12d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71)**2d0 -   &
                        12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83)**2d0&
                         + 18d0*coupl(nGC_164)*coupl(nGC_17)*coupl(nGC_184) -  &
                        6d0*coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_27) + 18d0* &
                        coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_3) - 3d0*coupl(  &
                        nGC_184)*coupl(nGC_20)*coupl(nGC_8) - 3d0*coupl(nGC_184&
                        )*coupl(nGC_236)*coupl(nGC_8) - 3d0*coupl(nGC_20)*coupl&
                        (nGC_236)*coupl(nGC_29) + 3d0*coupl(nGC_20)*coupl(     &
                        nGC_236)*coupl(nGC_42) - 6d0*coupl(nGC_21)*coupl(nGC_25&
                        )*coupl(nGC_27) - 3d0*coupl(nGC_21)*coupl(nGC_266)*    &
                        coupl(nGC_29) + 3d0*coupl(nGC_21)*coupl(nGC_266)*coupl(&
                        nGC_42) - 3d0*coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_8   &
                        ) - 3d0*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_8))/(96d0&
                        *pi**2d0)
      coupl(nGC_3486) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54 &
                        )*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(     &
                        nGC_54)*coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_35)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_88  &
                        ) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                        nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_39)*coupl(nGC_78)*coupl(nGC_80) - 12d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88  &
                        ) + 4d0*cima*coupl(nGC_1168)*coupl(nGC_178)*coupl(     &
                        nGC_22)*coupl(nGC_362) + 9d0*cima*coupl(nGC_164)*coupl(&
                        nGC_184)*coupl(nGC_22)*coupl(nGC_362) + 12d0*cima*coupl&
                        (nGC_17)*coupl(nGC_29) + 9d0*cima*coupl(nGC_22)*coupl( &
                        nGC_25)*coupl(nGC_3)*coupl(nGC_362) + 4d0*cima*coupl(  &
                        nGC_22)*coupl(nGC_362)*coupl(nGC_4)*coupl(nGC_40) -    &
                        12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_66)*    &
                        coupl(nGC_68) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*  &
                        coupl(nGC_70)*coupl(nGC_72) - 12d0*cima*coupl(nGC_36)* &
                        coupl(nGC_4)*coupl(nGC_82)*coupl(nGC_84) - 12d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68  &
                        ) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*&
                        coupl(nGC_72) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*  &
                        coupl(nGC_82)*coupl(nGC_84) + 18d0*coupl(nGC_164)*coupl&
                        (nGC_17)*coupl(nGC_184) - 6d0*coupl(nGC_164)*coupl(    &
                        nGC_28)*coupl(nGC_362) + 18d0*coupl(nGC_17)*coupl(     &
                        nGC_25)*coupl(nGC_3) - 3d0*coupl(nGC_184)*coupl(nGC_22 &
                        )*coupl(nGC_7) - 3d0*coupl(nGC_184)*coupl(nGC_362)*    &
                        coupl(nGC_9) - 6d0*coupl(nGC_22)*coupl(nGC_29)*coupl(  &
                        nGC_362) - 3d0*coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_9  &
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_42) -   &
                        6d0*coupl(nGC_25)*coupl(nGC_26)*coupl(nGC_362) - 3d0*  &
                        coupl(nGC_3)*coupl(nGC_362)*coupl(nGC_7))/(96d0*pi**2d0&
                        )
      coupl(nGC_3485) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_164)** &
                        2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(nGC_168&
                        )*coupl(nGC_19) + 4d0*cima*coupl(nGC_168)*coupl(nGC_5  &
                        ) - 8d0*cima*coupl(nGC_184)**2d0*coupl(nGC_25)*coupl(  &
                        nGC_3) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl&
                        (nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*   &
                        coupl(nGC_41) + coupl(nGC_164)**2d0*coupl(nGC_168) +   &
                        6d0*coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_25) + coupl&
                        (nGC_164)*coupl(nGC_18)*coupl(nGC_184) + 6d0*coupl(    &
                        nGC_164)*coupl(nGC_19)*coupl(nGC_3) + coupl(nGC_164)*  &
                        coupl(nGC_25)*coupl(nGC_29) + 6d0*coupl(nGC_164)*coupl(&
                        nGC_3)*coupl(nGC_5) + coupl(nGC_164)*coupl(nGC_3)*coupl&
                        (nGC_592) + coupl(nGC_168)*coupl(nGC_184)**2d0 + 6d0*  &
                        coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_3) + coupl(    &
                        nGC_184)*coupl(nGC_190)*coupl(nGC_25) + coupl(nGC_184)*&
                        coupl(nGC_29)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_3 &
                        )*coupl(nGC_456))/(32d0*pi**2d0)
      coupl(nGC_6537) = -coupl(nGC_6536)
      coupl(nGC_3483) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*&
                        coupl(nGC_39) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23 &
                        )**2d0*coupl(nGC_38) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_23)**2d0*coupl(nGC_39) - 32d0*cima*coupl(nGC_164)**&
                        2d0*coupl(nGC_25)*coupl(nGC_3) + 12d0*cima*coupl(nGC_18&
                        )*coupl(nGC_29) - 32d0*cima*coupl(nGC_184)**2d0*coupl( &
                        nGC_25)*coupl(nGC_3) + 36d0*cima*coupl(nGC_23)**2d0*   &
                        coupl(nGC_4)*coupl(nGC_40) - 30d0*cima*coupl(nGC_23)** &
                        2d0*coupl(nGC_4)*coupl(nGC_41) + 18d0*coupl(nGC_164)** &
                        2d0*coupl(nGC_29) + 6d0*coupl(nGC_164)*coupl(nGC_168)* &
                        coupl(nGC_25) + 18d0*coupl(nGC_164)*coupl(nGC_18)*coupl&
                        (nGC_184) + 6d0*coupl(nGC_164)*coupl(nGC_19)*coupl(    &
                        nGC_3) + 3d0*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_5   &
                        ) + 6d0*coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_3) +   &
                        18d0*coupl(nGC_18)*coupl(nGC_25)*coupl(nGC_3) + 18d0*  &
                        coupl(nGC_184)**2d0*coupl(nGC_29) + 3d0*coupl(nGC_184)*&
                        coupl(nGC_25)*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3482) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 -    &
                        40d0*cima*coupl(nGC_164)**2d0*coupl(nGC_184)**2d0 -    &
                        40d0*cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0* &
                        cima*coupl(nGC_29)**2d0 + 12d0*cima*coupl(nGC_36)**2d0*&
                        coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_4)**2d0*coupl( &
                        nGC_40)**2d0 + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) +  &
                        6d0*coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_184) + 36d0&
                        *coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_29) + 6d0*    &
                        coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl( &
                        nGC_184)**2d0*coupl(nGC_19) + 3d0*coupl(nGC_19)*coupl( &
                        nGC_3)**2d0 + 3d0*coupl(nGC_25)**2d0*coupl(nGC_5) +    &
                        36d0*coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3))/(96d0*pi&
                        **2d0)
      coupl(nGC_3481) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 20d0*cima*coupl&
                        (nGC_164)**2d0*coupl(nGC_184)**2d0 + 6d0*cima*coupl(   &
                        nGC_190)*coupl(nGC_592) - 20d0*cima*coupl(nGC_25)**2d0*&
                        coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl( &
                        nGC_4)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40  &
                        )**2d0 + 9d0*coupl(nGC_164)**2d0*coupl(nGC_190) + 6d0* &
                        coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_184) + 6d0*    &
                        coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_3) + 9d0*coupl( &
                        nGC_184)**2d0*coupl(nGC_592) + 9d0*coupl(nGC_190)*coupl&
                        (nGC_25)**2d0 + 9d0*coupl(nGC_3)**2d0*coupl(nGC_592))/(&
                        48d0*pi**2d0)
      coupl(nGC_3480) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_39) - 20d0*cima*coupl(nGC_164)*  &
                        coupl(nGC_184)**3d0 + 6d0*cima*coupl(nGC_190)*coupl(   &
                        nGC_29) - 20d0*cima*coupl(nGC_25)*coupl(nGC_3)**3d0 +  &
                        6d0*cima*coupl(nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*   &
                        coupl(nGC_4)**3d0*coupl(nGC_40) + 9d0*coupl(nGC_164)*  &
                        coupl(nGC_184)*coupl(nGC_190) + 3d0*coupl(nGC_164)*    &
                        coupl(nGC_184)*coupl(nGC_5) + 3d0*coupl(nGC_168)*coupl(&
                        nGC_184)**2d0 + 3d0*coupl(nGC_168)*coupl(nGC_3)**2d0 + &
                        9d0*coupl(nGC_184)**2d0*coupl(nGC_29) + 9d0*coupl(     &
                        nGC_190)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_25 &
                        )*coupl(nGC_3)*coupl(nGC_5) + 9d0*coupl(nGC_29)*coupl( &
                        nGC_3)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3488) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0 - 5d0*cima*   &
                        coupl(nGC_1168)**4d0 - 10d0*cima*coupl(nGC_1168)**2d0* &
                        coupl(nGC_178)**2d0 - 10d0*cima*coupl(nGC_1168)**2d0*  &
                        coupl(nGC_40)**2d0 - 20d0*cima*coupl(nGC_1168)*coupl(  &
                        nGC_178)*coupl(nGC_4)*coupl(nGC_40) + 24d0*cima*coupl( &
                        nGC_17)**2d0 - 5d0*cima*coupl(nGC_178)**4d0 - 10d0*cima&
                        *coupl(nGC_178)**2d0*coupl(nGC_4)**2d0 - 5d0*cima*coupl&
                        (nGC_20)**2d0*coupl(nGC_236)**2d0 - 10d0*cima*coupl(   &
                        nGC_20)*coupl(nGC_21)*coupl(nGC_236)*coupl(nGC_266) -  &
                        10d0*cima*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_236)*  &
                        coupl(nGC_362) - 10d0*cima*coupl(nGC_20)*coupl(nGC_22)*&
                        coupl(nGC_266)*coupl(nGC_362) - 5d0*cima*coupl(nGC_21  &
                        )**2d0*coupl(nGC_266)**2d0 - 10d0*cima*coupl(nGC_21)*  &
                        coupl(nGC_22)*coupl(nGC_236)*coupl(nGC_362) - 10d0*cima&
                        *coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_266)*coupl(     &
                        nGC_362) - 20d0*cima*coupl(nGC_22)**2d0*coupl(nGC_362  &
                        )**2d0 - 5d0*cima*coupl(nGC_4)**4d0 - 10d0*cima*coupl( &
                        nGC_4)**2d0*coupl(nGC_40)**2d0 - 5d0*cima*coupl(nGC_40 &
                        )**4d0 + 24d0*cima*coupl(nGC_42)**2d0 + 12d0*cima*coupl&
                        (nGC_45)**2d0 + 12d0*cima*coupl(nGC_6)**2d0 + 20d0*cima&
                        *coupl(nGC_65)**4d0 + 20d0*cima*coupl(nGC_69)**4d0 +   &
                        20d0*cima*coupl(nGC_81)**4d0 + 6d0*coupl(nGC_1168)**2d0&
                        *coupl(nGC_14) - 6d0*coupl(nGC_1168)**2d0*coupl(nGC_45 &
                        ) + 6d0*coupl(nGC_1168)*coupl(nGC_14)*coupl(nGC_40) -  &
                        12d0*coupl(nGC_1168)*coupl(nGC_178)*coupl(nGC_42) + 6d0&
                        *coupl(nGC_13)*coupl(nGC_20)*coupl(nGC_236) + 6d0*coupl&
                        (nGC_13)*coupl(nGC_21)*coupl(nGC_266) + 12d0*coupl(    &
                        nGC_13)*coupl(nGC_22)*coupl(nGC_362) + 6d0*coupl(nGC_14&
                        )*coupl(nGC_178)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_178&
                        )*coupl(nGC_4) + 6d0*coupl(nGC_14)*coupl(nGC_4)**2d0 + &
                        6d0*coupl(nGC_14)*coupl(nGC_40)**2d0 - 6d0*coupl(nGC_17&
                        )*coupl(nGC_20)*coupl(nGC_236) - 6d0*coupl(nGC_17)*    &
                        coupl(nGC_21)*coupl(nGC_266) - 12d0*coupl(nGC_17)*coupl&
                        (nGC_22)*coupl(nGC_362) - 6d0*coupl(nGC_178)**2d0*coupl&
                        (nGC_6) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_42) - 6d0*coupl(  &
                        nGC_40)**2d0*coupl(nGC_45))/(96d0*pi**2d0)
      coupl(nGC_6302) = coupl(nGC_5100) + coupl(nGC_6299)
      coupl(nGC_6300) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_3451) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl&
                        (nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3423) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +   &
                        coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_65)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7027) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_7028) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5280) = -coupl(nGC_5279)
      coupl(nGC_3623) = coupl(nGC_3107)*dyb_QED3
      coupl(nGC_3622) = coupl(nGC_3107)*dyb_QED1_QCD2
      coupl(nGC_3548) = coupl(nGC_3142)*dZgs_QCD2
      coupl(nGC_3549) = coupl(nGC_3143)*dZgs_QCD2
      coupl(nGC_3238) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB &
                        **2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*  &
                        coupl(nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73 &
                        )**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_73)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 &
                         - 4d0*Nc*cMT**2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_85)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_65)** &
                        2d0 - cMH**2d0*cima*coupl(nGC_20)*coupl(nGC_236) - cMH &
                        **2d0*cima*coupl(nGC_21)*coupl(nGC_266) - 4d0*cMM**2d0*&
                        cima*coupl(nGC_69)**2d0 - 4d0*cMTA**2d0*cima*coupl(    &
                        nGC_81)**2d0 - cMW**2d0*cima*coupl(nGC_1168)**2d0 - cMW&
                        **2d0*cima*coupl(nGC_178)**2d0 - cMW**2d0*cima*coupl(  &
                        nGC_20)*coupl(nGC_236) - cMW**2d0*cima*coupl(nGC_21)*  &
                        coupl(nGC_266) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(&
                        nGC_362) - cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW**2d0* &
                        cima*coupl(nGC_40)**2d0 - 8d0*cMW**2d0*coupl(nGC_17) - &
                        cMZ**2d0*cima*coupl(nGC_1168)**2d0 - 2d0*cMZ**2d0*cima*&
                        coupl(nGC_22)*coupl(nGC_362) - cMZ**2d0*cima*coupl(    &
                        nGC_40)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45) + 8d0*cima*  &
                        coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51)**2d0)/(64d0&
                        *pi**2d0)
      coupl(nGC_3626) = coupl(nGC_3126)*dys_QED1_QCD2
      coupl(nGC_3625) = coupl(nGC_3112)*dydo_QED3
      coupl(nGC_3624) = coupl(nGC_3112)*dydo_QED1_QCD2
      coupl(nGC_3629) = coupl(nGC_3106)*dyb_QED3
      coupl(nGC_3628) = coupl(nGC_3106)*dyb_QED1_QCD2
      coupl(nGC_3546) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3547) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3544) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_1998) + 3d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(   &
                        nGC_10)**2d0*coupl(nGC_1998)*sq2**2d0 + 36d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_3545) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_1998) + 9d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(   &
                        nGC_10)**2d0*coupl(nGC_1998)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_6992) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
      coupl(nGC_5127) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZmuMinusR_QED2
      coupl(nGC_7432) = coupl(nGC_3614) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl( &
                        nGC_62)*dZdR_QCD2/2d0
      coupl(nGC_7433) = coupl(nGC_3612) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl( &
                        nGC_64)*dZdR_QCD2/2d0
      coupl(nGC_5128) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZmuMinusL_QED2
      coupl(nGC_5129) = coupl(nGC_5122) + coupl(nGC_5127)
      coupl(nGC_5087) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0  &
                         + coupl(nGC_3593)
      coupl(nGC_7435) = coupl(nGC_3613) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl( &
                        nGC_64)*dZdR_QED2/2d0
      coupl(nGC_6006) = coupl(nGC_3641) + coupl(nGC_83)*dZH_QED2/2d0
      coupl(nGC_5697) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3548)
      coupl(nGC_6003) = coupl(nGC_83)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
      coupl(nGC_3300) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl&
                        (nGC_67)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3301) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3302) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl&
                        (nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3303) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3304) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3305) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3306) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_184)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3307) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +    &
                        coupl(nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5456) = -coupl(nGC_5008)
      coupl(nGC_3309) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(    &
                        nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5453) = coupl(nGC_3630) + coupl(nGC_65)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_65)*dZnu_eL_QED2/2d0
      coupl(nGC_7973) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3549)
      coupl(nGC_3437) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*   &
                        coupl(nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3434) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4&
                        )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +   &
                        coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(&
                        nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3435) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(    &
                        nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82&
                        )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 +   &
                        4d0*coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40 &
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_7977) = -coupl(nGC_7973)
      coupl(nGC_3433) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*   &
                        coupl(nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3430) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_164)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(     &
                        nGC_76) + coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_3431) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +   &
                        coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7978) = 2d0*coupl(nGC_7973)
      coupl(nGC_3438) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)* &
                        coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3439) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3511) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 - 8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)**  &
                        2d0 + 4d0*cima*coupl(nGC_168)**2d0 - 8d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_25)**2d0 + 4d0*cima*coupl(     &
                        nGC_19)**2d0 - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40&
                        )**2d0 + 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*   &
                        coupl(nGC_41) - 4d0*cima*coupl(nGC_23)**2d0*coupl(     &
                        nGC_41)**2d0 + coupl(nGC_164)**2d0*coupl(nGC_18) +     &
                        coupl(nGC_164)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_164 &
                        )*coupl(nGC_19)*coupl(nGC_25) + 2d0*coupl(nGC_164)*    &
                        coupl(nGC_25)*coupl(nGC_592) + 12d0*coupl(nGC_168)*    &
                        coupl(nGC_184)*coupl(nGC_25) + coupl(nGC_184)**2d0*    &
                        coupl(nGC_19) + 2d0*coupl(nGC_184)*coupl(nGC_25)*coupl(&
                        nGC_29) + coupl(nGC_25)**2d0*coupl(nGC_456))/(32d0*pi**&
                        2d0)
      coupl(nGC_3283) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3282) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3285) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_184)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3284) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_168)*coupl(nGC_47) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) - coupl(nGC_1168)*coupl(    &
                        nGC_164)*coupl(nGC_51) + 6d0*coupl(nGC_164)*coupl(nGC_3&
                        )*coupl(nGC_47) - coupl(nGC_178)*coupl(nGC_184)*coupl( &
                        nGC_51) + 6d0*coupl(nGC_184)*coupl(nGC_3)*coupl(nGC_51 &
                        ) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50))/(32d0*pi &
                        **2d0)
      coupl(nGC_3287) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3286) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3537) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_1998  &
                        ) + 3d0*cima*coupl(nGC_1998)**2d0 + 9d0*coupl(nGC_10)**&
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_1998)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_3532) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1998  &
                        )**2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**&
                        2d0 - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1998)*sq2** &
                        2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi &
                        **2d0)
      coupl(nGC_3530) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_5019) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +  &
                        coupl(nGC_3593)
      coupl(nGC_5012) = coupl(nGC_3632) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +   &
                        coupl(nGC_81)*dZtauMinusR_QED2/2d0
      coupl(nGC_3318) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53&
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53&
                        ) + 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57&
                        ) + 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61&
                        ) + 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73&
                        ) + 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77&
                        ) + 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85&
                        ) + 2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65   &
                        ) + 2d0*cMM*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69   &
                        ) + 2d0*cMTA*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81  &
                        ) + 4d0*cima*coupl(nGC_168)*coupl(nGC_51) + 4d0*cima*  &
                        coupl(nGC_19)*coupl(nGC_47) - coupl(nGC_1168)*coupl(   &
                        nGC_164)*coupl(nGC_47) + 6d0*coupl(nGC_164)*coupl(     &
                        nGC_25)*coupl(nGC_47) - coupl(nGC_178)*coupl(nGC_184)* &
                        coupl(nGC_47) + 6d0*coupl(nGC_184)*coupl(nGC_25)*coupl(&
                        nGC_51) - coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_50) -  &
                        coupl(nGC_25)*coupl(nGC_266)*coupl(nGC_52))/(32d0*pi** &
                        2d0)
      coupl(nGC_5337) = coupl(nGC_35)*dZuR_QCD2
      coupl(nGC_5521) = coupl(nGC_3581) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(  &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_5243) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3583) + coupl( &
                        nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_5870) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3552)
      coupl(nGC_5871) = -coupl(nGC_5870)
      coupl(nGC_3379) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*&
                        cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl&
                        (nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23  &
                        )**2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*  &
                        coupl(nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(   &
                        nGC_87) - 4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) -   &
                        4d0*cMM*coupl(nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_23)**2d0*coupl(nGC_83) + 4d0*cima*coupl(     &
                        nGC_18)*coupl(nGC_50) + 2d0*cima*coupl(nGC_52)*coupl(  &
                        nGC_592) + 6d0*coupl(nGC_164)**2d0*coupl(nGC_50) -     &
                        coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_47) - coupl(    &
                        nGC_164)*coupl(nGC_266)*coupl(nGC_47) + 6d0*coupl(     &
                        nGC_184)**2d0*coupl(nGC_50) - coupl(nGC_184)*coupl(    &
                        nGC_21)*coupl(nGC_51) - coupl(nGC_184)*coupl(nGC_266)* &
                        coupl(nGC_51) + 6d0*coupl(nGC_25)**2d0*coupl(nGC_52))/(&
                        32d0*pi**2d0)
      coupl(nGC_3371) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3375) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3377) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5417) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_5418) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_6765) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZtauMinusL_QED2
      coupl(nGC_6766) = coupl(nGC_3599) + coupl(nGC_36)*dZZ_QED2/2d0 + coupl(  &
                        nGC_36)*dZtauMinusR_QED2
      coupl(nGC_4949) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZbL_QED2/2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_4943) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_4942) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3590)
      coupl(nGC_4941) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_4945) = coupl(nGC_4942) + coupl(nGC_4943)
      coupl(nGC_4944) = coupl(nGC_4941) + coupl(nGC_4942)
      coupl(nGC_3573) = coupl(nGC_3100)*dsw_QED2 + coupl(nGC_3101)*dZee_QED2 + &
                        coupl(nGC_3102)*dvev_QED1
      coupl(nGC_3572) = coupl(nGC_3177)*dZee_QED2 + coupl(nGC_3178)*dsw_QED2
      coupl(nGC_3571) = coupl(nGC_3179)*dZee_QED2 + coupl(nGC_3180)*dsw_QED2
      coupl(nGC_3576) = coupl(nGC_3175)*dZee_QED2 + coupl(nGC_3176)*dsw_QED2
      coupl(nGC_6488) = coupl(nGC_3628) + coupl(nGC_6484)
      coupl(nGC_6489) = coupl(nGC_3629) + coupl(nGC_55)*dZH_QED2/2d0
      coupl(nGC_3579) = coupl(nGC_3103)*dsw_QED2 + coupl(nGC_3104)*dZee_QED2 + &
                        coupl(nGC_3105)*dvev_QED1
      coupl(nGC_3578) = coupl(nGC_3154)*dZee_QED2 + coupl(nGC_3155)*dsw_QED2
      coupl(nGC_3474) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53 &
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(&
                        nGC_61)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                        coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_35)*coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_35)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_35)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**&
                        2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(   &
                        nGC_53)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*&
                        coupl(nGC_61)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_39)*coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_34)*coupl(nGC_53)**2d0 + 10d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_34)*coupl(nGC_61)**2d0 + 10d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**&
                        2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(   &
                        nGC_85)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)*&
                        coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(  &
                        nGC_38)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_2)*coupl(nGC_39)*coupl(nGC_53)**2d0 - 16d0*Nc*cima*&
                        coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**2d0 - 16d0*Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**2d0 +  &
                        4d0*cima*coupl(nGC_1168)**2d0*coupl(nGC_4)*coupl(nGC_40&
                        ) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) + 4d0*cima*  &
                        coupl(nGC_178)**2d0*coupl(nGC_4)*coupl(nGC_40) + 9d0*  &
                        cima*coupl(nGC_20)*coupl(nGC_236)*coupl(nGC_25)*coupl( &
                        nGC_3) + 9d0*cima*coupl(nGC_22)*coupl(nGC_25)*coupl(   &
                        nGC_3)*coupl(nGC_362) - 16d0*cima*coupl(nGC_36)*coupl( &
                        nGC_4)*coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)*   &
                        coupl(nGC_4)*coupl(nGC_69)**2d0 - 16d0*cima*coupl(     &
                        nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + 10d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 10d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 +   &
                        10d0*cima*coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0&
                         + 3d0*coupl(nGC_1168)**2d0*coupl(nGC_42) + 18d0*coupl(&
                        nGC_164)*coupl(nGC_17)*coupl(nGC_184) - 3d0*coupl(     &
                        nGC_164)*coupl(nGC_22)*coupl(nGC_28) - 3d0*coupl(      &
                        nGC_164)*coupl(nGC_266)*coupl(nGC_27) + 18d0*coupl(    &
                        nGC_17)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_178 &
                        )**2d0*coupl(nGC_42) - 3d0*coupl(nGC_20)*coupl(nGC_236 &
                        )*coupl(nGC_29) - 3d0*coupl(nGC_20)*coupl(nGC_3)*coupl(&
                        nGC_8) - 3d0*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_26  &
                        ) - 3d0*coupl(nGC_22)*coupl(nGC_29)*coupl(nGC_362) -   &
                        3d0*coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_7) - 3d0*coupl&
                        (nGC_236)*coupl(nGC_25)*coupl(nGC_27) - 3d0*coupl(     &
                        nGC_236)*coupl(nGC_3)*coupl(nGC_8) - 3d0*coupl(nGC_3)* &
                        coupl(nGC_362)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_5059) = coupl(nGC_3556) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_5665) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3577)
      coupl(nGC_5113) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_5110) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_5116) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_3276) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_3277) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_5469) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3553)
      coupl(nGC_6301) = coupl(nGC_5100) + coupl(nGC_6300)
      coupl(nGC_9126) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_3244) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_184)**2d0 - coupl(nGC_3)**2d0 - 4d0*   &
                        coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3407) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*   &
                        coupl(nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_164  &
                        )**2d0*coupl(nGC_25) - 11d0*coupl(nGC_184)**2d0*coupl( &
                        nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) - 12d0*&
                        coupl(nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
      coupl(nGC_3406) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3401) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5028) = coupl(nGC_3618) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl( &
                        nGC_76)*dZsR_QCD2/2d0
      coupl(nGC_6269) = coupl(nGC_3676) + coupl(nGC_6265)
      coupl(nGC_5801) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_5800) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_5803) = coupl(nGC_5100) + coupl(nGC_5801)
      coupl(nGC_5802) = coupl(nGC_5100) + coupl(nGC_5800)
      coupl(nGC_5207) = coupl(nGC_5059) + coupl(nGC_5206)
      coupl(nGC_5563) = coupl(nGC_3587) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46&
                        )*dZZ_QED2
      coupl(nGC_5208) = coupl(nGC_5059) + coupl(nGC_5205)
      coupl(nGC_7142) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_7143) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_7141) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3491) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 +   &
                        4d0*cima*coupl(nGC_1168)**2d0*coupl(nGC_20)*coupl(     &
                        nGC_236) + 4d0*cima*coupl(nGC_1168)**2d0*coupl(nGC_22)*&
                        coupl(nGC_362) + 9d0*cima*coupl(nGC_164)**2d0*coupl(   &
                        nGC_20)*coupl(nGC_236) + 9d0*cima*coupl(nGC_164)**2d0* &
                        coupl(nGC_22)*coupl(nGC_362) + 9d0*cima*coupl(nGC_164  &
                        )**2d0*coupl(nGC_40)**2d0 + 18d0*cima*coupl(nGC_164)*  &
                        coupl(nGC_184)*coupl(nGC_4)*coupl(nGC_40) + 24d0*cima* &
                        coupl(nGC_17)*coupl(nGC_18) + 4d0*cima*coupl(nGC_178)**&
                        2d0*coupl(nGC_20)*coupl(nGC_236) + 4d0*cima*coupl(     &
                        nGC_178)**2d0*coupl(nGC_22)*coupl(nGC_362) + 9d0*cima* &
                        coupl(nGC_184)**2d0*coupl(nGC_20)*coupl(nGC_236) + 9d0*&
                        cima*coupl(nGC_184)**2d0*coupl(nGC_22)*coupl(nGC_362   &
                        ) + 9d0*cima*coupl(nGC_184)**2d0*coupl(nGC_4)**2d0 +   &
                        12d0*cima*coupl(nGC_190)*coupl(nGC_6) + 4d0*cima*coupl(&
                        nGC_20)*coupl(nGC_21)*coupl(nGC_22)**2d0 + 4d0*cima*   &
                        coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_236)*coupl(      &
                        nGC_266) + 4d0*cima*coupl(nGC_21)**2d0*coupl(nGC_22)** &
                        2d0 + 4d0*cima*coupl(nGC_21)**2d0*coupl(nGC_266)**2d0  &
                         + 8d0*cima*coupl(nGC_22)**2d0*coupl(nGC_362)**2d0 -   &
                        16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_65)**2d0 - 16d0*&
                        cima*coupl(nGC_23)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*&
                        coupl(nGC_23)**2d0*coupl(nGC_81)**2d0 + 4d0*cima*coupl(&
                        nGC_236)*coupl(nGC_266)*coupl(nGC_362)**2d0 + 9d0*cima*&
                        coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0*cima*coupl&
                        (nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_40) + 4d0*&
                        cima*coupl(nGC_266)**2d0*coupl(nGC_362)**2d0 + 24d0*   &
                        cima*coupl(nGC_29)*coupl(nGC_42) + 9d0*cima*coupl(nGC_3&
                        )**2d0*coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_45)*    &
                        coupl(nGC_592) + 6d0*coupl(nGC_1168)**2d0*coupl(nGC_17 &
                        ) + 36d0*coupl(nGC_164)**2d0*coupl(nGC_17) - 12d0*coupl&
                        (nGC_164)*coupl(nGC_17)*coupl(nGC_40) - 6d0*coupl(     &
                        nGC_164)*coupl(nGC_20)*coupl(nGC_8) - 6d0*coupl(nGC_164&
                        )*coupl(nGC_22)*coupl(nGC_7) - 6d0*coupl(nGC_164)*coupl&
                        (nGC_236)*coupl(nGC_8) - 6d0*coupl(nGC_164)*coupl(     &
                        nGC_362)*coupl(nGC_9) + 6d0*coupl(nGC_17)*coupl(nGC_178&
                        )**2d0 + 36d0*coupl(nGC_17)*coupl(nGC_184)**2d0 - 12d0*&
                        coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_4) + 6d0*coupl( &
                        nGC_17)*coupl(nGC_21)*coupl(nGC_266) + 6d0*coupl(nGC_17&
                        )*coupl(nGC_22)*coupl(nGC_362) - 12d0*coupl(nGC_17)*   &
                        coupl(nGC_25)*coupl(nGC_40) - 12d0*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_4) - 6d0*coupl(nGC_18)*coupl(nGC_20)* &
                        coupl(nGC_236) - 6d0*coupl(nGC_18)*coupl(nGC_22)*coupl(&
                        nGC_362) - 6d0*coupl(nGC_184)*coupl(nGC_20)*coupl(     &
                        nGC_27) - 6d0*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_26&
                        ) - 6d0*coupl(nGC_184)*coupl(nGC_236)*coupl(nGC_27) -  &
                        6d0*coupl(nGC_184)*coupl(nGC_28)*coupl(nGC_362) - 6d0* &
                        coupl(nGC_190)*coupl(nGC_4)**2d0 + 36d0*coupl(nGC_25)**&
                        2d0*coupl(nGC_45) + 72d0*coupl(nGC_25)*coupl(nGC_3)*   &
                        coupl(nGC_42) - 12d0*coupl(nGC_29)*coupl(nGC_4)*coupl( &
                        nGC_40) + 36d0*coupl(nGC_3)**2d0*coupl(nGC_6) - 6d0*   &
                        coupl(nGC_40)**2d0*coupl(nGC_592))/(192d0*pi**2d0)
      coupl(nGC_7144) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_3493) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_164)** &
                        3d0*coupl(nGC_184) - 20d0*cima*coupl(nGC_25)**3d0*coupl&
                        (nGC_3) + 6d0*cima*coupl(nGC_29)*coupl(nGC_592) + 6d0* &
                        cima*coupl(nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl( &
                        nGC_4)*coupl(nGC_40)**3d0 + 3d0*coupl(nGC_164)**2d0*   &
                        coupl(nGC_168) + 9d0*coupl(nGC_164)**2d0*coupl(nGC_29  &
                        ) + 3d0*coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_19) +  &
                        9d0*coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_592) + 3d0*&
                        coupl(nGC_168)*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_19)* &
                        coupl(nGC_25)*coupl(nGC_3) + 9d0*coupl(nGC_25)**2d0*   &
                        coupl(nGC_29) + 9d0*coupl(nGC_25)*coupl(nGC_3)*coupl(  &
                        nGC_592))/(48d0*pi**2d0)
      coupl(nGC_7149) = coupl(nGC_3672) + coupl(nGC_7143)
      coupl(nGC_5931) = coupl(nGC_3606) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl( &
                        nGC_73)*dZsR_QCD2/2d0
      coupl(nGC_5930) = coupl(nGC_3604) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl( &
                        nGC_57)*dZsL_QCD2/2d0
      coupl(nGC_5933) = coupl(nGC_3607) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl( &
                        nGC_73)*dZsR_QED2/2d0
      coupl(nGC_5932) = coupl(nGC_3605) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl( &
                        nGC_57)*dZsL_QED2/2d0
      coupl(nGC_6410) = coupl(nGC_67)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_3336) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53&
                        ) - 2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53&
                        ) + 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57&
                        ) - 2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57&
                        ) + 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61&
                        ) - 2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61&
                        ) + 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73&
                        ) - 2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73&
                        ) + 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77&
                        ) - 2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77&
                        ) + 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85&
                        ) - 2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85&
                        ) + 2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65   &
                        ) - 2d0*cME*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65   &
                        ) + 2d0*cMM*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69   &
                        ) - 2d0*cMM*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69   &
                        ) + 2d0*cMTA*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81  &
                        ) - 2d0*cMTA*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81  &
                        ) + 4d0*cima*coupl(nGC_168)*coupl(nGC_51) + 4d0*cima*  &
                        coupl(nGC_19)*coupl(nGC_47) - coupl(nGC_164)*coupl(    &
                        nGC_21)*coupl(nGC_50) - coupl(nGC_164)*coupl(nGC_236)* &
                        coupl(nGC_52) + 6d0*coupl(nGC_164)*coupl(nGC_25)*coupl(&
                        nGC_47) + 6d0*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_51 &
                        ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_47) - coupl( &
                        nGC_3)*coupl(nGC_4)*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_3331) = (-coupl(nGC_1168)*coupl(nGC_36)*coupl(nGC_65) - coupl( &
                        nGC_178)*coupl(nGC_4)*coupl(nGC_65) - coupl(nGC_20)*   &
                        coupl(nGC_23)*coupl(nGC_67) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_68) + 8d0*coupl(nGC_36)*coupl(nGC_41&
                        )*coupl(nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(   &
                        nGC_65))/(32d0*pi**2d0)
      coupl(nGC_4981) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3584) + coupl( &
                        nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 + &
                        coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_6413) = coupl(nGC_3639) + coupl(nGC_67)*dZH_QED2/2d0
      coupl(nGC_7034) = coupl(nGC_3669) + coupl(nGC_7028)
      coupl(nGC_7033) = coupl(nGC_3668) + coupl(nGC_7027)
      coupl(nGC_5296) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*            &
                        dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(    &
                        nGC_3554)
      coupl(nGC_5297) = coupl(nGC_5295) - coupl(nGC_5296)/2d0
      coupl(nGC_3633) = coupl(nGC_3120)*dye_QED3
      coupl(nGC_3634) = coupl(nGC_3118)*dye_QED3
      coupl(nGC_3635) = coupl(nGC_3123)*dym_QED3
      coupl(nGC_3638) = coupl(nGC_3133)*dytau_QED3
      coupl(nGC_5099) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_3345) = (-coupl(nGC_1168)*coupl(nGC_36)*coupl(nGC_81) - coupl( &
                        nGC_178)*coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*   &
                        coupl(nGC_23)*coupl(nGC_82) - coupl(nGC_23)*coupl(     &
                        nGC_236)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(nGC_41&
                        )*coupl(nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(   &
                        nGC_81))/(32d0*pi**2d0)
      coupl(nGC_9898) = -coupl(nGC_3407)
      coupl(nGC_3339) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_57) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_1168)*  &
                        coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(   &
                        nGC_59) - coupl(nGC_23)*coupl(nGC_362)*coupl(nGC_58) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*   &
                        coupl(nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(     &
                        nGC_73)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3338) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1168)*   &
                        coupl(nGC_35)*coupl(nGC_77) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*    &
                        coupl(nGC_78) + coupl(nGC_23)*coupl(nGC_236)*coupl(    &
                        nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl( &
                        nGC_53)*coupl(nGC_55)*coupl(nGC_79) - coupl(nGC_53)*   &
                        coupl(nGC_56)*coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_3337) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_1168)*   &
                        coupl(nGC_39)*coupl(nGC_53) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*    &
                        coupl(nGC_55) + coupl(nGC_23)*coupl(nGC_362)*coupl(    &
                        nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_53) - coupl( &
                        nGC_54)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_55)*   &
                        coupl(nGC_77)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_5420) = coupl(nGC_4942) + coupl(nGC_5418)
      coupl(nGC_5588) = coupl(nGC_3567) + coupl(nGC_GPGMGPGM)
      coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3333) = (coupl(nGC_1168)*coupl(nGC_41)*coupl(nGC_81) + coupl(  &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_23)*   &
                        coupl(nGC_266)*coupl(nGC_83) + coupl(nGC_36)*coupl(    &
                        nGC_40)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                        )*coupl(nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(   &
                        32d0*pi**2d0)
      coupl(nGC_3332) = (-coupl(nGC_1168)*coupl(nGC_36)*coupl(nGC_69) - coupl( &
                        nGC_178)*coupl(nGC_4)*coupl(nGC_69) - coupl(nGC_20)*   &
                        coupl(nGC_23)*coupl(nGC_71) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_72) + 8d0*coupl(nGC_36)*coupl(nGC_41&
                        )*coupl(nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(   &
                        nGC_69))/(32d0*pi**2d0)
      coupl(nGC_3443) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl&
                        (nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3441) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)* &
                        coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3440) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl&
                        (nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3447) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl&
                        (nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3446) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)* &
                        coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3445) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl&
                        (nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
