!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_79, nGC_79])

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_178])

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_69])

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_64, nGC_62])

      allocate(vertices(805)%branch(0:1))
      call av(805, 0, 11, 2, 0, FFaV1, 0, [1, 0], [nGC_11, nGC_11])

      call av(805, 1, 12, 3, 0, FFaV1, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_184])

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_81])

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(809)%branch(0:1))
      call av(809, 0, 21, 2, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      call av(809, 1, 22, 3, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_79, nGC_79])

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_64, nGC_62])

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(816)%branch(0:0))
      call av(816, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_68, nGC_66])

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_77, nGC_53])

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_46])

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_75, nGC_75])

      allocate(vertices(822)%branch(0:0))
      call av(822, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(823)%branch(0:0))
      call av(823, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_72, nGC_70])

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_43])

      allocate(vertices(826)%branch(0:0))
      call av(826, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(827)%branch(0:1))
      call av(827, 0, 25, 2, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

      call av(827, 1, 26, 3, 0, VFFa0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 29, 1, 0, FSFa1, 0, [0, 1], [nGC_55, nGC_55])

      allocate(vertices(830)%branch(0:0))
      call av(830, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_30])

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_42])

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_41])

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 29, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_17])

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 27, 1, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_164])

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 28, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_184])

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(846)%branch(0:0))
      call av(846, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_184])

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_196])

      allocate(vertices(849)%branch(0:0))
      call av(849, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_592, nGC_19, nGC_19])

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_178])

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_164])

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_68, nGC_66])

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_27])

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_45])

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

      allocate(vertices(856)%branch(0:0))
      call av(856, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_32])

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_184])

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_168, nGC_168, nGC_29])

      allocate(vertices(862)%branch(0:0))
      call av(862, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_168, nGC_168, nGC_29])

      allocate(vertices(863)%branch(0:0))
      call av(863, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_61, nGC_85])

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_50])

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_57, nGC_73])

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 28, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(869)%branch(0:0))
      call av(869, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_30])

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_21])

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_184])

      allocate(vertices(873)%branch(0:0))
      call av(873, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_69])

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

      allocate(vertices(875)%branch(0:0))
      call av(875, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_23])

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_81])

      allocate(vertices(877)%branch(0:1))
      call av(877, 0, 17, 2, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(877, 1, 18, 3, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_44])

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

      allocate(vertices(880)%branch(0:0))
      call av(880, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_41])

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(882)%branch(0:1))
      call av(882, 0, 17, 2, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(882, 1, 18, 3, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_43])

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_26])

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(887)%branch(0:0))
      call av(887, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_76, nGC_74])

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

      allocate(vertices(890)%branch(0:0))
      call av(890, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_50])

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_9])

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_31])

      allocate(vertices(895)%branch(0:1))
      call av(895, 0, 11, 2, 0, FFaV1, 0, [1, 0], [nGC_11, nGC_11])

      call av(895, 1, 12, 3, 0, FFaV1, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(896)%branch(0:0))
      call av(896, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_9])

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_57, nGC_73])

      allocate(vertices(898)%branch(0:0))
      call av(898, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 31, 1, 0, VFFa0, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_87, nGC_87])

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_7])

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_6])

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_87, nGC_87])

      allocate(vertices(904)%branch(0:0))
      call av(904, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_31])

      allocate(vertices(905)%branch(0:0))
      call av(905, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_63, nGC_63])

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_77, nGC_53])

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_65])

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_184])

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_22])

      allocate(vertices(911)%branch(0:1))
      call av(911, 0, 23, 2, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(911, 1, 24, 3, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(912)%branch(0:0))
      call av(912, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_44])

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_18, nGC_456])

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_86, nGC_88])

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

      allocate(vertices(917)%branch(0:1))
      call av(917, 0, 17, 2, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(917, 1, 18, 3, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(919)%branch(0:0))
      call av(919, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_43])

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 27, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_6])

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(924)%branch(0:0))
      call av(924, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_17])

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(926)%branch(0:0))
      call av(926, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_196])

      allocate(vertices(927)%branch(0:0))
      call av(927, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_33])

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_23])

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_23])

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_45])

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_4])

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 29, 1, 0, FSFa1, 0, [0, 1], [nGC_78, nGC_80])

      allocate(vertices(936)%branch(0:0))
      call av(936, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_78, nGC_80])

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_83, nGC_83])

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_18, nGC_456])

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_16])

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_168, nGC_168])

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_7])

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_7])

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 27, 1, 0, FaFV0, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_164])

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_168, nGC_29, nGC_168])

      allocate(vertices(946)%branch(0:1))
      call av(946, 0, 17, 2, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(946, 1, 18, 3, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15])

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_67, nGC_67])

      allocate(vertices(949)%branch(0:0))
      call av(949, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_164])

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_362])

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_64, nGC_62])

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_50])

      allocate(vertices(954)%branch(0:0))
      call av(954, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 29, 1, 0, FSFa1, 0, [0, 1], [nGC_85, nGC_61])

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_196])

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_33])

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_22])

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_266])

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_65])

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 28, 1, 0, FaVF0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 30, 1, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(964)%branch(0:0))
      call av(964, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_78, nGC_80])

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_592, nGC_19, nGC_19])

      allocate(vertices(966)%branch(0:0))
      call av(966, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_37])

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_164])

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 29, 1, 0, FSFa1, 0, [0, 1], [nGC_73, nGC_57])

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 31, 1, 0, SFFa0, 0, [0, 1], [nGC_85, nGC_61])

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_47])

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_168, nGC_168, nGC_29])

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_196])

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_16])

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_46])

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_67, nGC_67])

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_7])

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_19, nGC_19, nGC_592])

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_16])

      allocate(vertices(987)%branch(0:0))
      call av(987, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_59, nGC_59])

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_26])

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

      allocate(vertices(991)%branch(0:1))
      call av(991, 0, 21, 2, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      call av(991, 1, 22, 3, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_85, nGC_61])

      allocate(vertices(993)%branch(0:0))
      call av(993, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_81])

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_51])

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_7])

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(1000)%branch(0:0))
      call av(1000, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_52])

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(1002)%branch(0:0))
      call av(1002, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_210])

      allocate(vertices(1003)%branch(0:0))
      call av(1003, 0, 8, 1, 0, SFFa2, 0, [0, 1], [nGC_81])

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 30, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_196])

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_43])

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_9])

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 31, 1, 0, VFFa0, 0, [0, 1], [nGC_2, nGC_2])

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 28, 1, 0, FaSF0, 0, [0, 1], [nGC_75, nGC_75])

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(1011)%branch(0:0))
      call av(1011, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_184])

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 30, 1, 0, SFaF0, 0, [0, 1], [nGC_59, nGC_59])

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 28, 1, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_168, nGC_29, nGC_168])

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_168, nGC_168])

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(1018)%branch(0:1))
      call av(1018, 0, 19, 2, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

      call av(1018, 1, 20, 3, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 29, 1, 0, FVFa1, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

      allocate(vertices(1021)%branch(0:1))
      call av(1021, 0, 23, 2, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      call av(1021, 1, 24, 3, 0, VFaF0, 0, [1, 0], [nGC_11, nGC_11])

      allocate(vertices(1022)%branch(0:0))
      call av(1022, 0, 8, 1, 0, SFFa2, 0, [0, 1], [nGC_65])

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 30, 1, 0, VFaF0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_26])

      allocate(vertices(1025)%branch(0:0))
      call av(1025, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_47])

      allocate(vertices(1027)%branch(0:0))
      call av(1027, 0, 27, 1, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_42])

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 27, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_47])

      allocate(vertices(1034)%branch(0:0))
      call av(1034, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_3])

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_41])

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_41])

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_184])

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_23])

      allocate(vertices(1042)%branch(0:0))
      call av(1042, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_9])

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_67, nGC_67])

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_36, nGC_40])

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 27, 1, 0, FaFS0, 0, [0, 1], [nGC_86, nGC_88])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_4932])

      allocate(vertices(226)%branchCT(0:1))
      call avCT(226, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_4944, nGC_4945])

      call avCT(226, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_4936, nGC_4939])

      allocate(vertices(2)%branchCT(0:1))
      call avCT(2, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_4949])

      call avCT(2, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_4948])

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4953])

      allocate(vertices(1049)%branchCT(0:1))
      call avCT(1049, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_4962, nGC_4956,       &
      nGC_4964, nGC_4964])

      call avCT(1049, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_4963, nGC_4957,       &
      nGC_4965, nGC_4965])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(5)%branchCT(0:1))
      call avCT(5, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_4944, nGC_4945])

      call avCT(5, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_4936, nGC_4939])

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(7)%branchCT(0:3))
      call avCT(7, 0, 23, 2, 0, VFaF0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(7, 1, 23, 2, 0, VFaF0, 0, [3, 0], [nGC_4989, nGC_4990])

      call avCT(7, 2, 24, 3, 0, VFaF0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(7, 3, 24, 3, 0, VFaF0, 0, [3, 0], [nGC_4989, nGC_4990])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5002, nGC_5002])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5008])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5009])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5012])

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5019])

      allocate(vertices(15)%branchCT(0:1))
      call avCT(15, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5028, nGC_5029])

      call avCT(15, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5030, nGC_5031])

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(17)%branchCT(0:1))
      call avCT(17, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5045, nGC_5044])

      call avCT(17, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5047, nGC_5046])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5019])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5062, nGC_5063])

      allocate(vertices(21)%branchCT(0:1))
      call avCT(21, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5073, nGC_5072])

      call avCT(21, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5075, nGC_5074])

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5079])

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5084])

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5087])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(491)%branchCT(0:1))
      call avCT(491, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_5102, nGC_5103])

      call avCT(491, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_5094, nGC_5097])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5107])

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5107])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(171)%branchCT(0:1))
      call avCT(171, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5120, nGC_5121])

      call avCT(171, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5113, nGC_5116])

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5129, nGC_5130])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5135, nGC_5136, nGC_5136&
      ])

      allocate(vertices(34)%branchCT(0:1))
      call avCT(34, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_4949])

      call avCT(34, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_4948])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5146])

      allocate(vertices(37)%branchCT(0:3))
      call avCT(37, 0, 25, 2, 0, VFFa0, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(37, 1, 25, 2, 0, VFFa0, 0, [3, 0], [nGC_5153, nGC_5154])

      call avCT(37, 2, 26, 3, 0, VFFa0, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(37, 3, 26, 3, 0, VFFa0, 0, [3, 0], [nGC_5153, nGC_5154])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5165])

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3560])

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5174, nGC_5174])

      call avCT(40, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5176, nGC_5176])

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3563])

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4953])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5084])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5193])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5207, nGC_5208])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5222, nGC_5223])

      call avCT(49, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5215, nGC_5218])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5232, nGC_5233])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5239, nGC_5238])

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5251, nGC_5251, nGC_5252&
      ])

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5146])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5261])

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5263])

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5107])

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_3562])

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5232, nGC_5233])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5280])

      allocate(vertices(64)%branchCT(0:1))
      call avCT(64, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5028, nGC_5029])

      call avCT(64, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5030, nGC_5031])

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5297, nGC_5298&
      ])

      allocate(vertices(67)%branchCT(0:1))
      call avCT(67, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4936, nGC_4939])

      call avCT(67, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4944, nGC_4945])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_4932])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5084])

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5318])

      allocate(vertices(72)%branchCT(0:1))
      call avCT(72, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(72, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(674)%branchCT(0:1))
      call avCT(674, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_4949])

      call avCT(674, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_4948])

      allocate(vertices(73)%branchCT(0:1))
      call avCT(73, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_5343, nGC_5344])

      call avCT(73, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_5337, nGC_5340])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(75)%branchCT(0:1))
      call avCT(75, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_4949])

      call avCT(75, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_4948])

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(79)%branchCT(0:1))
      call avCT(79, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5045, nGC_5044])

      call avCT(79, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5047, nGC_5046])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5298,        &
      nGC_5297])

      allocate(vertices(80)%branchCT(0:1))
      call avCT(80, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5120, nGC_5121])

      call avCT(80, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5113, nGC_5116])

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(82)%branchCT(0:1))
      call avCT(82, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5389, nGC_5390])

      call avCT(82, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5391, nGC_5392])

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(84)%branchCT(0:1))
      call avCT(84, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5403, nGC_5403])

      call avCT(84, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5405, nGC_5405])

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5408])

      allocate(vertices(535)%branchCT(0:1))
      call avCT(535, 0, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5410, nGC_5413])

      call avCT(535, 1, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5419, nGC_5420])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5107])

      allocate(vertices(503)%branchCT(0:1))
      call avCT(503, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5045, nGC_5044])

      call avCT(503, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5047, nGC_5046])

      allocate(vertices(89)%branchCT(0:3))
      call avCT(89, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_5435, nGC_5431])

      call avCT(89, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_5437, nGC_5438])

      call avCT(89, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_5435, nGC_5431])

      call avCT(89, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_5437, nGC_5438])

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5447])

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_5453])

      allocate(vertices(92)%branchCT(0:0))
      call avCT(92, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5456])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(94)%branchCT(0:1))
      call avCT(94, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5174, nGC_5174])

      call avCT(94, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5176, nGC_5176])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5469, nGC_5470, nGC_5469&
      ])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(683)%branchCT(0:1))
      call avCT(683, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_5476])

      call avCT(683, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_5475])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5079])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5009])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5232, nGC_5233])

      allocate(vertices(100)%branchCT(0:1))
      call avCT(100, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_5499, nGC_5500])

      call avCT(100, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_5493, nGC_5496])

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5509])

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_5476])

      call avCT(104, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_5475])

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5087])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3562])

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5521])

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5408])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(110)%branchCT(0:1))
      call avCT(110, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5537, nGC_5538])

      call avCT(110, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5539, nGC_5540])

      allocate(vertices(333)%branchCT(0:1))
      call avCT(333, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5343, nGC_5344])

      call avCT(333, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5337, nGC_5340])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5550])

      allocate(vertices(112)%branchCT(0:1))
      call avCT(112, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_4944, nGC_4945])

      call avCT(112, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_4936, nGC_4939])

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_4932])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5563])

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3560])

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_5574, nGC_5572,       &
      nGC_5575, nGC_5575])

      allocate(vertices(120)%branchCT(0:1))
      call avCT(120, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_5102, nGC_5103])

      call avCT(120, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_5094, nGC_5097])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5019])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5588])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_5002, nGC_5002])

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_5261])

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5298,        &
      nGC_5297])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3558])

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5611])

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5239, nGC_5238])

      allocate(vertices(131)%branchCT(0:1))
      call avCT(131, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_5120, nGC_5121])

      call avCT(131, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_5113, nGC_5116])

      allocate(vertices(511)%branchCT(0:0))
      call avCT(511, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5626])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_4932])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_5453])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_5574, nGC_5572,       &
      nGC_5575, nGC_5575])

      allocate(vertices(138)%branchCT(0:1))
      call avCT(138, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_5652, nGC_5653])

      call avCT(138, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_5649, nGC_5646])

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5656])

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5659])

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5662])

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5666])

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5073, nGC_5072])

      call avCT(143, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5075, nGC_5074])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3562])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5626])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5009])

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5028, nGC_5029])

      call avCT(147, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5030, nGC_5031])

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5198])

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5588])

      allocate(vertices(150)%branchCT(0:1))
      call avCT(150, 0, 34, 4, 0, UVUa0, 0, [3, 0], [nGC_5698])

      call avCT(150, 1, 35, 5, 0, UVUa0, 0, [3, 0], [nGC_5698])

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5701])

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5193])

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5318])

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5611])

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5453])

      allocate(vertices(1014)%branchCT(0:0))
      call avCT(1014, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5298,       &
      nGC_5297])

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5279])

      allocate(vertices(159)%branchCT(0:3))
      call avCT(159, 0, 25, 2, 0, VFFa0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(159, 1, 25, 2, 0, VFFa0, 0, [3, 0], [nGC_4989, nGC_4990])

      call avCT(159, 2, 26, 3, 0, VFFa0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(159, 3, 26, 3, 0, VFFa0, 0, [3, 0], [nGC_4989, nGC_4990])

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5261])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5251, nGC_5252,        &
      nGC_5251])

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5318])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3557])

      allocate(vertices(164)%branchCT(0:1))
      call avCT(164, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_4949])

      call avCT(164, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_4948])

      allocate(vertices(165)%branchCT(0:1))
      call avCT(165, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5538, nGC_5537])

      call avCT(165, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5540, nGC_5539])

      allocate(vertices(1064)%branchCT(0:1))
      call avCT(1064, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_5762, nGC_5758,       &
      nGC_5764, nGC_5764])

      call avCT(1064, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_5763, nGC_5759,       &
      nGC_5765, nGC_5765])

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_4949])

      call avCT(20, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_4948])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_5453])

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5611])

      allocate(vertices(935)%branchCT(0:1))
      call avCT(935, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5389, nGC_5390])

      call avCT(935, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5391, nGC_5392])

      allocate(vertices(51)%branchCT(0:1))
      call avCT(51, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5045, nGC_5044])

      call avCT(51, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5047, nGC_5046])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5262])

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5665])

      allocate(vertices(146)%branchCT(0:1))
      call avCT(146, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_5802, nGC_5803])

      call avCT(146, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_5795, nGC_5798])

      allocate(vertices(520)%branchCT(0:1))
      call avCT(520, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5652, nGC_5653])

      call avCT(520, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5649, nGC_5646])

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_5802, nGC_5803])

      call avCT(172, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_5795, nGC_5798])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(174)%branchCT(0:3))
      call avCT(174, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(174, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_5153, nGC_5154])

      call avCT(174, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(174, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_5153, nGC_5154])

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5447])

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5107])

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5611])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3558])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_5858])

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5861])

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_5871])

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_5858])

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5243])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5298, nGC_5297,        &
      nGC_5297])

      allocate(vertices(189)%branchCT(0:1))
      call avCT(189, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5174, nGC_5174])

      call avCT(189, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5176, nGC_5176])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_5892])

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(900)%branchCT(0:1))
      call avCT(900, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5403, nGC_5403])

      call avCT(900, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5405, nGC_5405])

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5906])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5626])

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5913])

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5470, nGC_5469,        &
      nGC_5469])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5079])

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5626])

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5931, nGC_5930])

      call avCT(199, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5933, nGC_5932])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_5941, nGC_5937,        &
      nGC_5940])

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5087])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_5084])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(206)%branchCT(0:1))
      call avCT(206, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5959, nGC_5960])

      call avCT(206, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5955, nGC_5952])

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(208)%branchCT(0:1))
      call avCT(208, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5931, nGC_5930])

      call avCT(208, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5933, nGC_5932])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5009])

      allocate(vertices(404)%branchCT(0:1))
      call avCT(404, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5959, nGC_5960])

      call avCT(404, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5955, nGC_5952])

      allocate(vertices(210)%branchCT(0:1))
      call avCT(210, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5989, nGC_5988])

      call avCT(210, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5991, nGC_5990])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_5941, nGC_5937,        &
      nGC_5940])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5079])

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5701])

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_6007, nGC_6007])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5858])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5871])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3560])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5861])

      allocate(vertices(218)%branchCT(0:1))
      call avCT(218, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5028, nGC_5029])

      call avCT(218, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5030, nGC_5031])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_3557])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_5858])

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(222)%branchCT(0:3))
      call avCT(222, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(222, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_6042, nGC_6043])

      call avCT(222, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(222, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_6042, nGC_6043])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_6054])

      allocate(vertices(224)%branchCT(0:1))
      call avCT(224, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(224, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5913])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5129, nGC_5130])

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_6079])

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3563])

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_5107])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5906])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5871])

      allocate(vertices(233)%branchCT(0:3))
      call avCT(233, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_6091, nGC_6089])

      call avCT(233, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_6093, nGC_6094])

      call avCT(233, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_6091, nGC_6089])

      call avCT(233, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_6093, nGC_6094])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_6079])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5079])

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5164])

      allocate(vertices(490)%branchCT(0:1))
      call avCT(490, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_5343, nGC_5344])

      call avCT(490, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_5337, nGC_5340])

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_6079])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5298,        &
      nGC_5297])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5252, nGC_5251,        &
      nGC_5251])

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_6133])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_6133])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_6138])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5297,        &
      nGC_5298])

      allocate(vertices(246)%branchCT(0:3))
      call avCT(246, 0, 23, 2, 0, VFaF0, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(246, 1, 23, 2, 0, VFaF0, 0, [3, 0], [nGC_6154, nGC_6155])

      call avCT(246, 2, 24, 3, 0, VFaF0, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(246, 3, 24, 3, 0, VFaF0, 0, [3, 0], [nGC_6154, nGC_6155])

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5198])

      allocate(vertices(248)%branchCT(0:1))
      call avCT(248, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5476])

      call avCT(248, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5475])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5298, nGC_5297,        &
      nGC_5297])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3560])

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_6184, nGC_6185])

      call avCT(252, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_6180, nGC_6177])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5136,        &
      nGC_5135])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5611])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5588])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(258)%branchCT(0:1))
      call avCT(258, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(258, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(1078)%branchCT(0:1))
      call avCT(1078, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_5762, nGC_5758,       &
      nGC_5764, nGC_5764])

      call avCT(1078, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_5763, nGC_5759,       &
      nGC_5765, nGC_5765])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5243])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5906])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5062, nGC_5063])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5129, nGC_5130])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_6247])

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5045, nGC_5044])

      call avCT(375, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5047, nGC_5046])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5839])

      allocate(vertices(1079)%branchCT(0:1))
      call avCT(1079, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_6267, nGC_6263,       &
      nGC_6269, nGC_6269])

      call avCT(1079, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_6268, nGC_6264,       &
      nGC_6270, nGC_6270])

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5659])

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(269, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(270)%branchCT(0:1))
      call avCT(270, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5403, nGC_5403])

      call avCT(270, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5405, nGC_5405])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5212])

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_6301, nGC_6302])

      call avCT(272, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_6297, nGC_6294])

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(274)%branchCT(0:1))
      call avCT(274, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_4949])

      call avCT(274, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_4948])

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5198])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5164])

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5839])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5261])

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_6330])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5136,        &
      nGC_5135])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5261])

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_3562])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_6079])

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_5102, nGC_5103])

      call avCT(286, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_5094, nGC_5097])

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5550])

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5469, nGC_5469,        &
      nGC_5470])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(291)%branchCT(0:3))
      call avCT(291, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(291, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_6042, nGC_6043])

      call avCT(291, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(291, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_6042, nGC_6043])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5009])

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(1083)%branchCT(0:1))
      call avCT(1083, 0, 16, 8, 0, VV2, 0, [2, 0], [nGC_6376, nGC_6375])

      call avCT(1083, 1, 15, 1, 0, VV2, 0, [2, 0], [nGC_6376, nGC_6375])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_6382])

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(296)%branchCT(0:3))
      call avCT(296, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(296, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_6154, nGC_6155])

      call avCT(296, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(296, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_6154, nGC_6155])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5062, nGC_5063])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5019])

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_6414, nGC_6414])

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(302)%branchCT(0:1))
      call avCT(302, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_5476])

      call avCT(302, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_5475])

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(305)%branchCT(0:3))
      call avCT(305, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(305, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_4989, nGC_4990])

      call avCT(305, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(305, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_4989, nGC_4990])

      allocate(vertices(987)%branchCT(0:1))
      call avCT(987, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6445, nGC_6445])

      call avCT(987, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6447, nGC_6447])

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3563])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_5858])

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_4949])

      call avCT(310, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_4948])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5626])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5035])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5563])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5009])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5009])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_3560])

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5408])

      allocate(vertices(319)%branchCT(0:1))
      call avCT(319, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_6488, nGC_6488])

      call avCT(319, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_6490, nGC_6490])

      allocate(vertices(320)%branchCT(0:3))
      call avCT(320, 0, 17, 2, 0, FaVF0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(320, 1, 17, 2, 0, FaVF0, 0, [3, 0], [nGC_6042, nGC_6043])

      call avCT(320, 2, 18, 3, 0, FaVF0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(320, 3, 18, 3, 0, FaVF0, 0, [3, 0], [nGC_6042, nGC_6043])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5262])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3557])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_6053])

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_6079])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5611])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_6513])

      allocate(vertices(326)%branchCT(0:1))
      call avCT(326, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_6521, nGC_6521])

      call avCT(326, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_6523, nGC_6523])

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5009])

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_4944, nGC_4945])

      call avCT(329, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_4936, nGC_4939])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5110])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5659])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_6537, nGC_6536])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5298, nGC_5297,        &
      nGC_5297])

      allocate(vertices(111)%branchCT(0:1))
      call avCT(111, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_6549, nGC_6549])

      call avCT(111, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_6551, nGC_6551])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_3563])

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5019])

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4953])

      allocate(vertices(545)%branchCT(0:1))
      call avCT(545, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5930, nGC_5931])

      call avCT(545, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5932, nGC_5933])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_6575, nGC_6576,        &
      nGC_6575, nGC_6576, nGC_6577])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_5107])

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5062, nGC_5063])

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5009])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5239, nGC_5238])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5016])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5408])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_6007, nGC_6007])

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5456])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5135, nGC_5136,        &
      nGC_5136])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5107])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4953])

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_6382])

      allocate(vertices(356)%branchCT(0:1))
      call avCT(356, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6625])

      call avCT(356, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6624])

      allocate(vertices(357)%branchCT(0:3))
      call avCT(357, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(357, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_5153, nGC_5154])

      call avCT(357, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_5149, nGC_5147])

      call avCT(357, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_5153, nGC_5154])

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_6640])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5297,        &
      nGC_5298])

      allocate(vertices(729)%branchCT(0:1))
      call avCT(729, 0, 32, 4, 0, UaVU0, 0, [3, 0], [nGC_5698])

      call avCT(729, 1, 33, 5, 0, UaVU0, 0, [3, 0], [nGC_5698])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5035])

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5072, nGC_5073])

      call avCT(361, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5074, nGC_5075])

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5009])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5136,        &
      nGC_5135])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(368)%branchCT(0:1))
      call avCT(368, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_5476])

      call avCT(368, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_5475])

      allocate(vertices(369)%branchCT(0:1))
      call avCT(369, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_5476])

      call avCT(369, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_5475])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_3563])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(371)%branchCT(0:1))
      call avCT(371, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(371, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5035])

      allocate(vertices(373)%branchCT(0:3))
      call avCT(373, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(373, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_4989, nGC_4990])

      call avCT(373, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_4982, nGC_4984])

      call avCT(373, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_4989, nGC_4990])

      allocate(vertices(374)%branchCT(0:1))
      call avCT(374, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5222, nGC_5223])

      call avCT(374, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5215, nGC_5218])

      allocate(vertices(377)%branchCT(0:1))
      call avCT(377, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_6180, nGC_6177])

      call avCT(377, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_6184, nGC_6185])

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5839])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5232, nGC_5233])

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_6734, nGC_6735])

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5297, nGC_5298,        &
      nGC_5297])

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_6740])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5839])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3560])

      allocate(vertices(388)%branchCT(0:3))
      call avCT(388, 0, 23, 2, 0, VFaF0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(388, 1, 23, 2, 0, VFaF0, 0, [3, 0], [nGC_6042, nGC_6043])

      call avCT(388, 2, 24, 3, 0, VFaF0, 0, [1, 2], [nGC_6038, nGC_6040])

      call avCT(388, 3, 24, 3, 0, VFaF0, 0, [3, 0], [nGC_6042, nGC_6043])

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_6079])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_6767, nGC_6768])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5246])

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_6767, nGC_6768])

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_6783, nGC_6779,        &
      nGC_6782])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5871])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5243])

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_6301, nGC_6302])

      call avCT(396, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_6297, nGC_6294])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5087])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_5279])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4953])

      allocate(vertices(403)%branchCT(0:1))
      call avCT(403, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5931, nGC_5930])

      call avCT(403, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5933, nGC_5932])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5298, nGC_5297,        &
      nGC_5297])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5521])

      allocate(vertices(584)%branchCT(0:1))
      call avCT(584, 0, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_6625])

      call avCT(584, 1, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_6624])

      allocate(vertices(406)%branchCT(0:1))
      call avCT(406, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_6549, nGC_6549])

      call avCT(406, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_6551, nGC_6551])

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_6576, nGC_6575,        &
      nGC_6576, nGC_6575, nGC_6577])

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_5456])

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_5858])

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(411)%branchCT(0:1))
      call avCT(411, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_6521, nGC_6521])

      call avCT(411, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_6523, nGC_6523])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5019])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_6414, nGC_6414])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5232, nGC_5233])

      allocate(vertices(414)%branchCT(0:1))
      call avCT(414, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5327, nGC_5328])

      call avCT(414, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5329, nGC_5330])

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(416)%branchCT(0:1))
      call avCT(416, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5072, nGC_5073])

      call avCT(416, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5074, nGC_5075])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5509])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5079])

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_5318])

      allocate(vertices(421)%branchCT(0:1))
      call avCT(421, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_6625])

      call avCT(421, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_6624])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5243])

      allocate(vertices(423)%branchCT(0:1))
      call avCT(423, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_5476])

      call avCT(423, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_5475])

      allocate(vertices(424)%branchCT(0:1))
      call avCT(424, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_6625])

      call avCT(424, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_6624])

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_6382])

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4953])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_5084])

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_6919, nGC_6916])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5252, nGC_5251,        &
      nGC_5251])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5135,        &
      nGC_5136])

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_6330])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_5012])

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5563])

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4953])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5447])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(436)%branchCT(0:1))
      call avCT(436, 0, 27, 1, 0, FaFV0, 0, [0, 3], [nGC_5419, nGC_5420])

      call avCT(436, 1, 27, 1, 0, FaFV0, 0, [2, 1], [nGC_5410, nGC_5413])

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5212])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5087])

      allocate(vertices(439)%branchCT(0:1))
      call avCT(439, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5073, nGC_5072])

      call avCT(439, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5075, nGC_5074])

      allocate(vertices(440)%branchCT(0:1))
      call avCT(440, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_6523, nGC_6523])

      call avCT(440, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_6521, nGC_6521])

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_6414, nGC_6414])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4981])

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5094, nGC_5097])

      call avCT(342, 1, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5102, nGC_5103])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_4969])

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 0, 4, 0, VVV0, 0, [3, 0], [nGC_6992])

      call avCT(568, 1, 1, 5, 0, VVV0, 0, [3, 0], [nGC_6992])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7000, nGC_6999])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5135, nGC_5136,        &
      nGC_5136])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_6054])

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5280])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5002, nGC_5002])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5861])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_3563])

      allocate(vertices(452)%branchCT(0:1))
      call avCT(452, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5476])

      call avCT(452, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5475])

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5002, nGC_5002])

      allocate(vertices(1101)%branchCT(0:1))
      call avCT(1101, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7031, nGC_7025,       &
      nGC_7033, nGC_7033])

      call avCT(1101, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7032, nGC_7026,       &
      nGC_7034, nGC_7034])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5252, nGC_5251,        &
      nGC_5251])

      allocate(vertices(456)%branchCT(0:1))
      call avCT(456, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5343, nGC_5344])

      call avCT(456, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5337, nGC_5340])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7052])

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_5261])

      allocate(vertices(461)%branchCT(0:1))
      call avCT(461, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5389, nGC_5390])

      call avCT(461, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5391, nGC_5392])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5135,        &
      nGC_5136])

      allocate(vertices(463)%branchCT(0:1))
      call avCT(463, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_4949])

      call avCT(463, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_4948])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_5858])

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(402)%branchCT(0:3))
      call avCT(402, 0, 25, 2, 0, VFFa0, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(402, 1, 25, 2, 0, VFFa0, 0, [3, 0], [nGC_6154, nGC_6155])

      call avCT(402, 2, 26, 3, 0, VFFa0, 0, [1, 2], [nGC_6148, nGC_6150])

      call avCT(402, 3, 26, 3, 0, VFFa0, 0, [3, 0], [nGC_6154, nGC_6155])

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5136, nGC_5135,        &
      nGC_5136])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5839])

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_5611])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4981])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_5858])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5243])

      allocate(vertices(474)%branchCT(0:1))
      call avCT(474, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_5930, nGC_5931])

      call avCT(474, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_5932, nGC_5933])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5198])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_5666])

      allocate(vertices(1102)%branchCT(0:1))
      call avCT(1102, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7124, nGC_7118,       &
      nGC_7126, nGC_7126])

      call avCT(1102, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7125, nGC_7119,       &
      nGC_7127, nGC_7127])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5009])

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5246])

      allocate(vertices(29)%branchCT(0:1))
      call avCT(29, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_5538, nGC_5537])

      call avCT(29, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_5540, nGC_5539])

      allocate(vertices(1104)%branchCT(0:1))
      call avCT(1104, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7147, nGC_7141,       &
      nGC_7149, nGC_7149])

      call avCT(1104, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7148, nGC_7142,       &
      nGC_7150, nGC_7150])

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5588])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5656])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_5261])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5839])

      allocate(vertices(1105)%branchCT(0:1))
      call avCT(1105, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_7031, nGC_7025,       &
      nGC_7033, nGC_7033])

      call avCT(1105, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_7032, nGC_7026,       &
      nGC_7034, nGC_7034])

      allocate(vertices(485)%branchCT(0:1))
      call avCT(485, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5652, nGC_5653])

      call avCT(485, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5649, nGC_5646])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5611])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5079])

      allocate(vertices(488)%branchCT(0:1))
      call avCT(488, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5405, nGC_5405])

      call avCT(488, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5403, nGC_5403])

      allocate(vertices(489)%branchCT(0:1))
      call avCT(489, 0, 36, 4, 0, UUaV0, 0, [3, 0], [nGC_5698])

      call avCT(489, 1, 37, 5, 0, UUaV0, 0, [3, 0], [nGC_5698])

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_6007, nGC_6007])

      allocate(vertices(238)%branchCT(0:1))
      call avCT(238, 0, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5795, nGC_5798])

      call avCT(238, 1, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5802, nGC_5803])

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5701])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_4969])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_4932])

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5110])

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5050])

      allocate(vertices(492)%branchCT(0:1))
      call avCT(492, 0, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_6301, nGC_6302])

      call avCT(492, 1, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_6297, nGC_6294])

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5087])

      allocate(vertices(494)%branchCT(0:1))
      call avCT(494, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_5389, nGC_5390])

      call avCT(494, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_5391, nGC_5392])

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_5871])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5002, nGC_5002])

    end subroutine fill_vertices_mdl2
end module vertices_info2
