!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3331])

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3502])

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3475])

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3480, nGC_3480,       &
      nGC_3480])

      allocate(vertices(897)%branchR2(0:1))
      call avR2(897, 0, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_3324, nGC_3326])

      call avR2(897, 1, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_3339, nGC_3340])

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3502])

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3498])

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3429])

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3513, nGC_3513,      &
      nGC_3513])

      call avR2(1240, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3512, nGC_3512,      &
      nGC_3512])

      allocate(vertices(1078)%branchR2(0:1))
      call avR2(1078, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3263, nGC_3262,       &
      nGC_3282, nGC_3282])

      call avR2(1078, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3241, nGC_3241,       &
      nGC_3283, nGC_3283])

      allocate(vertices(1031)%branchR2(0:1))
      call avR2(1031, 0, 27, 1, 0, FaFV1, 0, [2, 1], [nGC_3409])

      call avR2(1031, 1, 27, 1, 0, FaFV1, 0, [0, 3], [nGC_3410])

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3503])

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10721])

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3498])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3498])

      allocate(vertices(877)%branchR2(0:3))
      call avR2(877, 0, 17, 1, 0, FaVF0, 0, [1, 2], [nGC_3465, nGC_3464])

      call avR2(877, 1, 17, 1, 0, FaVF0, 0, [3, 0], [nGC_3457, nGC_3457])

      call avR2(877, 2, 18, 1, 0, FaVF0, 0, [1, 2], [nGC_3463, nGC_3462])

      call avR2(877, 3, 18, 1, 0, FaVF0, 0, [3, 0], [nGC_3454, nGC_3454])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3502])

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3483, nGC_3485,        &
      nGC_3484])

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3238, nGC_3237])

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3474])

      allocate(vertices(512)%branchR2(0:1))
      call avR2(512, 0, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_3398, nGC_3398])

      call avR2(512, 1, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_3396, nGC_3397])

      allocate(vertices(369)%branchR2(0:1))
      call avR2(369, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_3408])

      call avR2(369, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_3409])

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3492])

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10387])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3363, nGC_3362])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3344])

      allocate(vertices(962)%branchR2(0:1))
      call avR2(962, 0, 28, 1, 0, FaVF0, 0, [2, 1], [nGC_3296, nGC_3296])

      call avR2(962, 1, 28, 1, 0, FaVF0, 0, [0, 3], [nGC_3313, nGC_3312])

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3476])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3476])

      allocate(vertices(400)%branchR2(0:1))
      call avR2(400, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_3409])

      call avR2(400, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_3410])

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3474])

      allocate(vertices(297)%branchR2(0:1))
      call avR2(297, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_3286, nGC_3285])

      call avR2(297, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_3287, nGC_3287])

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3498])

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3499])

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3310, nGC_3311])

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3507])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10346])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3491])

      allocate(vertices(270)%branchR2(0:1))
      call avR2(270, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_3406, nGC_3406])

      call avR2(270, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_3404, nGC_3405])

      allocate(vertices(1241)%branchR2(0:1))
      call avR2(1241, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3526, nGC_3526,      &
      nGC_3526])

      call avR2(1241, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3527, nGC_3527,      &
      nGC_3527])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3288])

      allocate(vertices(1242)%branchR2(0:1))
      call avR2(1242, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3518])

      call avR2(1242, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3519])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3491])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3361, nGC_3360])

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3284])

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9898])

      allocate(vertices(905)%branchR2(0:1))
      call avR2(905, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3387, nGC_3388])

      call avR2(905, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3389, nGC_3389])

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3336])

      allocate(vertices(1243)%branchR2(0:1))
      call avR2(1243, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3515, nGC_3515,      &
      nGC_3515])

      call avR2(1243, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3514, nGC_3514,      &
      nGC_3514])

      allocate(vertices(375)%branchR2(0:1))
      call avR2(375, 0, 28, 1, 0, FaSF0, 0, [0, 3], [nGC_3348, nGC_3350])

      call avR2(375, 1, 28, 1, 0, FaSF0, 0, [2, 1], [nGC_3349, nGC_3351])

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3499])

      allocate(vertices(333)%branchR2(0:1))
      call avR2(333, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3420, nGC_3418])

      call avR2(333, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3437, nGC_3436])

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3475])

      allocate(vertices(840)%branchR2(0:1))
      call avR2(840, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3307, nGC_3306])

      call avR2(840, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3287, nGC_3287])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3489])

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3315])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3383])

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3474])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3485, nGC_3483,        &
      nGC_3484])

      allocate(vertices(1101)%branchR2(0:1))
      call avR2(1101, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3263, nGC_3262,       &
      nGC_3260, nGC_3260])

      call avR2(1101, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3241, nGC_3241,       &
      nGC_3261, nGC_3261])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3497])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3301, nGC_3302])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3480, nGC_3480,       &
      nGC_3480])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3480, nGC_3480,       &
      nGC_3480])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3373, nGC_3372])

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3497])

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3412])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3478])

      allocate(vertices(326)%branchR2(0:1))
      call avR2(326, 0, 27, 1, 0, FaFS0, 0, [2, 1], [nGC_3398, nGC_3398])

      call avR2(326, 1, 27, 1, 0, FaFS0, 0, [0, 3], [nGC_3396, nGC_3397])

      allocate(vertices(548)%branchR2(0:1))
      call avR2(548, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_3408])

      call avR2(548, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_3409])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3333])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3505])

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3315])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3266, nGC_3267,       &
      nGC_3281, nGC_3281])

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10473])

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3486])

      allocate(vertices(968)%branchR2(0:1))
      call avR2(968, 0, 29, 1, 0, FSFa1, 0, [0, 3], [nGC_3325, nGC_3323])

      call avR2(968, 1, 29, 1, 0, FSFa1, 0, [2, 1], [nGC_3326, nGC_3324])

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3498])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3303])

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3491])

      allocate(vertices(164)%branchR2(0:1))
      call avR2(164, 0, 28, 1, 0, FaVF1, 0, [0, 3], [nGC_3408])

      call avR2(164, 1, 28, 1, 0, FaVF1, 0, [2, 1], [nGC_3409])

      allocate(vertices(1104)%branchR2(0:1))
      call avR2(1104, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3243, nGC_3242,       &
      nGC_3264, nGC_3264])

      call avR2(1104, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3241, nGC_3241,       &
      nGC_3265, nGC_3265])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3494])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3395, nGC_3394])

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3498])

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3363, nGC_3362])

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3501])

      call avR2(1246, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3500])

      allocate(vertices(1247)%branchR2(0:5))
      call avR2(1247, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3523, nGC_3523,      &
      nGC_3523])

      call avR2(1247, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3524, nGC_3524,      &
      nGC_3524])

      call avR2(1247, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3524, nGC_3524,      &
      nGC_3524])

      call avR2(1247, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3524, nGC_3524,      &
      nGC_3524])

      call avR2(1247, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3525, nGC_3525,      &
      nGC_3525])

      call avR2(1247, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3523, nGC_3523,      &
      nGC_3523])

      allocate(vertices(305)%branchR2(0:3))
      call avR2(305, 0, 19, 1, 0, FaFV0, 0, [1, 2], [nGC_3443, nGC_3441])

      call avR2(305, 1, 19, 1, 0, FaFV0, 0, [3, 0], [nGC_3442, nGC_3442])

      call avR2(305, 2, 20, 1, 0, FaFV0, 0, [1, 2], [nGC_3440, nGC_3438])

      call avR2(305, 3, 20, 1, 0, FaFV0, 0, [3, 0], [nGC_3439, nGC_3439])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3517, nGC_3516,        &
      nGC_3517])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3478])

    end subroutine fill_vertices_mdl5
end module vertices_info5
