!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_3444) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)* &
                        coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3449) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl&
                        (nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3448) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3681) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_3680) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_3298) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3682) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_3297) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +    &
                        coupl(nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_184)*  &
                        coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3294) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*&
                        coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3295) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(    &
                        nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3292) = (coupl(nGC_178)*coupl(nGC_236)*coupl(nGC_362) - 6d0*   &
                        coupl(nGC_184)*coupl(nGC_20)*coupl(nGC_22) - 6d0*coupl(&
                        nGC_21)*coupl(nGC_22)*coupl(nGC_3) + coupl(nGC_266)*   &
                        coupl(nGC_362)*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_3293) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                        nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - &
                        8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl&
                        (nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0&
                        *coupl(nGC_83) + 4d0*cima*coupl(nGC_190)*coupl(nGC_50  &
                        ) + 6d0*coupl(nGC_184)**2d0*coupl(nGC_50) - coupl(     &
                        nGC_184)*coupl(nGC_20)*coupl(nGC_51) - coupl(nGC_184)* &
                        coupl(nGC_236)*coupl(nGC_51) - coupl(nGC_21)*coupl(    &
                        nGC_3)*coupl(nGC_51) - coupl(nGC_266)*coupl(nGC_3)*    &
                        coupl(nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50))/( &
                        32d0*pi**2d0)
      coupl(nGC_3290) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_164)**&
                        2d0*coupl(nGC_3) - 11d0*coupl(nGC_184)**2d0*coupl(nGC_3&
                        ) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0&
                        )
      coupl(nGC_3291) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87 &
                        ) - 4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87 &
                        ) - 4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*&
                        cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*&
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*   &
                        coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*   &
                        coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*   &
                        coupl(nGC_29)*coupl(nGC_50) + 6d0*coupl(nGC_164)*coupl(&
                        nGC_184)*coupl(nGC_50) - coupl(nGC_164)*coupl(nGC_20)* &
                        coupl(nGC_51) - coupl(nGC_184)*coupl(nGC_236)*coupl(   &
                        nGC_47) - coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_51) +  &
                        6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_50) - coupl(  &
                        nGC_266)*coupl(nGC_3)*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_5146) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3552)
      coupl(nGC_5063) = coupl(nGC_5059) + coupl(nGC_5061)
      coupl(nGC_5062) = coupl(nGC_5059) + coupl(nGC_5060)
      coupl(nGC_3528) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3299) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_6483) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_5328) = coupl(nGC_3646) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl( &
                        nGC_60)*dZcR_QCD2/2d0
      coupl(nGC_6549) = coupl(nGC_3624) + coupl(nGC_6548)
      coupl(nGC_3526) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3527) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3595) = coupl(nGC_3214)*dZee_QED2 + coupl(nGC_3215)*dsw_QED2 + &
                        coupl(nGC_3216)*dcw_QED2
      coupl(nGC_3594) = coupl(nGC_3196)*dZee_QED2 + coupl(nGC_3197)*dsw_QED2 + &
                        coupl(nGC_3198)*dcw_QED2
      coupl(nGC_3597) = coupl(nGC_3193)*dZee_QED2 + coupl(nGC_3194)*dsw_QED2 + &
                        coupl(nGC_3195)*dcw_QED2
      coupl(nGC_3596) = coupl(nGC_3208)*dZee_QED2 + coupl(nGC_3209)*dsw_QED2 + &
                        coupl(nGC_3210)*dcw_QED2
      coupl(nGC_3520) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_3521) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0&
                        *pi**2d0*Nc)
      coupl(nGC_11361) = -coupl(nGC_3466)
      coupl(nGC_11363) = -coupl(nGC_3467)
      coupl(nGC_3522) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_39)**4d0 - 10d0*cima*coupl(nGC_164)**4d0&
                         - 10d0*cima*coupl(nGC_25)**4d0 + 3d0*cima*coupl(nGC_36&
                        )**4d0 + 3d0*cima*coupl(nGC_40)**4d0 + 3d0*cima*coupl( &
                        nGC_41)**4d0 + 3d0*cima*coupl(nGC_592)**2d0 + 3d0*coupl&
                        (nGC_164)**2d0*coupl(nGC_19) + 9d0*coupl(nGC_164)**2d0*&
                        coupl(nGC_592) + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0  &
                         + 9d0*coupl(nGC_25)**2d0*coupl(nGC_592))/(24d0*pi**2d0&
                        )
      coupl(nGC_3473) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 -  &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_75)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_59)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 +    &
                        12d0*cima*coupl(nGC_17)*coupl(nGC_190) + 4d0*cima*coupl&
                        (nGC_178)**2d0*coupl(nGC_20)*coupl(nGC_236) + 9d0*cima*&
                        coupl(nGC_184)**2d0*coupl(nGC_20)*coupl(nGC_236) + 9d0*&
                        cima*coupl(nGC_21)*coupl(nGC_266)*coupl(nGC_3)**2d0 +  &
                        4d0*cima*coupl(nGC_21)*coupl(nGC_266)*coupl(nGC_4)**2d0&
                         - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_67)**2d0 -    &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 - 24d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(&
                        nGC_17)*coupl(nGC_184)**2d0 + 18d0*coupl(nGC_17)*coupl(&
                        nGC_3)**2d0 - 6d0*coupl(nGC_184)*coupl(nGC_20)*coupl(  &
                        nGC_27) - 6d0*coupl(nGC_184)*coupl(nGC_236)*coupl(     &
                        nGC_27) - 3d0*coupl(nGC_190)*coupl(nGC_20)*coupl(      &
                        nGC_236) - 3d0*coupl(nGC_190)*coupl(nGC_21)*coupl(     &
                        nGC_266) + 3d0*coupl(nGC_20)*coupl(nGC_236)*coupl(nGC_6&
                        ) + 3d0*coupl(nGC_21)*coupl(nGC_266)*coupl(nGC_6) - 6d0&
                        *coupl(nGC_21)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl( &
                        nGC_266)*coupl(nGC_27)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_3470) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 -   &
                        30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + 6d0&
                        *cima*coupl(nGC_18)*coupl(nGC_190) - 8d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_25)**2d0 - 16d0*cima*coupl(    &
                        nGC_184)**2d0*coupl(nGC_3)**2d0 + 18d0*cima*coupl(     &
                        nGC_23)**2d0*coupl(nGC_4)**2d0 + 9d0*coupl(nGC_164)**  &
                        2d0*coupl(nGC_190) + 3d0*coupl(nGC_164)*coupl(nGC_168)*&
                        coupl(nGC_3) + 3d0*coupl(nGC_168)*coupl(nGC_184)*coupl(&
                        nGC_25) + 9d0*coupl(nGC_18)*coupl(nGC_184)**2d0 + 9d0* &
                        coupl(nGC_18)*coupl(nGC_3)**2d0 + 9d0*coupl(nGC_184)** &
                        2d0*coupl(nGC_190) + 6d0*coupl(nGC_184)*coupl(nGC_3)*  &
                        coupl(nGC_5))/(48d0*pi**2d0)
      coupl(nGC_3471) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 +    &
                        12d0*cima*coupl(nGC_168)**2d0 - 16d0*cima*coupl(nGC_184&
                        )**2d0*coupl(nGC_25)**2d0 - 24d0*cima*coupl(nGC_184)** &
                        2d0*coupl(nGC_3)**2d0 - 12d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0* &
                        coupl(nGC_164)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_164)* &
                        coupl(nGC_29)*coupl(nGC_3) + 36d0*coupl(nGC_168)*coupl(&
                        nGC_184)*coupl(nGC_25) + 3d0*coupl(nGC_18)*coupl(      &
                        nGC_184)**2d0 + 3d0*coupl(nGC_184)**2d0*coupl(nGC_5) + &
                        6d0*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_3) + 36d0* &
                        coupl(nGC_184)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(  &
                        nGC_3)**2d0*coupl(nGC_456))/(96d0*pi**2d0)
      coupl(nGC_5498) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZbL_QED2
      coupl(nGC_5493) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_5990) = coupl(nGC_3645) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl( &
                        nGC_88)*dZuR_QED2/2d0
      coupl(nGC_5496) = coupl(nGC_38)*dZbL_QCD2
      coupl(nGC_5497) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZbR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5988) = coupl(nGC_3644) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl( &
                        nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_5391) = coupl(nGC_3653) + coupl(nGC_78)*dZtL_QED2/2d0 + coupl( &
                        nGC_78)*dZtR_QED2/2d0
      coupl(nGC_5390) = coupl(nGC_3650) + coupl(nGC_80)*dZtL_QCD2/2d0 + coupl( &
                        nGC_80)*dZtR_QCD2/2d0
      coupl(nGC_5392) = coupl(nGC_3651) + coupl(nGC_80)*dZtL_QED2/2d0 + coupl( &
                        nGC_80)*dZtR_QED2/2d0
      coupl(nGC_5250) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 + &
                        coupl(nGC_3555)
      coupl(nGC_5251) = -coupl(nGC_5249)/2d0 + coupl(nGC_5250)
      coupl(nGC_5252) = coupl(nGC_5249) - 2d0*coupl(nGC_5250)
      coupl(nGC_3479) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 10d0*cima*coupl(nGC_184)**4d0 + 3d0*cima*&
                        coupl(nGC_190)**2d0 - 10d0*cima*coupl(nGC_3)**4d0 + 6d0&
                        *cima*coupl(nGC_4)**4d0 + 9d0*coupl(nGC_184)**2d0*coupl&
                        (nGC_190) + 3d0*coupl(nGC_184)**2d0*coupl(nGC_5) + 9d0*&
                        coupl(nGC_190)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_3)**  &
                        2d0*coupl(nGC_5))/(24d0*pi**2d0)
      coupl(nGC_5198) = coupl(nGC_3580) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(  &
                        nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +   &
                        coupl(nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_3621) = coupl(nGC_3096)*dyb_QED3
      coupl(nGC_3620) = coupl(nGC_3096)*dyb_QED1_QCD2
      coupl(nGC_3627) = coupl(nGC_3126)*dys_QED3
      coupl(nGC_3239) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_3484) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                        coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                        )**2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_164)** &
                        2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(nGC_168&
                        )*coupl(nGC_19) + 4d0*cima*coupl(nGC_168)*coupl(nGC_5  &
                        ) - 8d0*cima*coupl(nGC_184)**2d0*coupl(nGC_25)*coupl(  &
                        nGC_3) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl&
                        (nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*   &
                        coupl(nGC_41) + coupl(nGC_164)**2d0*coupl(nGC_168) +   &
                        6d0*coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_25) + coupl&
                        (nGC_164)*coupl(nGC_184)*coupl(nGC_456) + 6d0*coupl(   &
                        nGC_164)*coupl(nGC_19)*coupl(nGC_3) + coupl(nGC_164)*  &
                        coupl(nGC_190)*coupl(nGC_3) + coupl(nGC_164)*coupl(    &
                        nGC_25)*coupl(nGC_29) + coupl(nGC_164)*coupl(nGC_3)*   &
                        coupl(nGC_592) + coupl(nGC_168)*coupl(nGC_184)**2d0 +  &
                        6d0*coupl(nGC_168)*coupl(nGC_184)*coupl(nGC_3) + coupl(&
                        nGC_18)*coupl(nGC_25)*coupl(nGC_3) + 6d0*coupl(nGC_184 &
                        )*coupl(nGC_25)*coupl(nGC_5) + coupl(nGC_184)*coupl(   &
                        nGC_29)*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_4958) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_4959) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7000) = coupl(nGC_3635) + coupl(nGC_72)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_72)*dZmuMinusR_QED2/2d0
      coupl(nGC_4953) = coupl(nGC_3573) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl( &
                        nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
      coupl(nGC_3560) = coupl(nGC_3227)*dsw_QED2 + coupl(nGC_3228)*dMW2_QED2 + &
                        coupl(nGC_3229)*dZee_QED2 + coupl(nGC_3230)*dcw_QED2
      coupl(nGC_3561) = coupl(nGC_3169)*dZee_QED2 + coupl(nGC_3170)*dsw_QED2 + &
                        coupl(nGC_3171)*dcw_QED2
      coupl(nGC_3562) = coupl(nGC_3190)*dsw_QED2 + coupl(nGC_3191)*dMW2_QED2 + &
                        coupl(nGC_3192)*dZee_QED2
      coupl(nGC_3563) = coupl(nGC_3199)*dZee_QED2 + coupl(nGC_3200)*dsw_QED2 + &
                        coupl(nGC_3201)*dMZ2_QED2
      coupl(nGC_3564) = coupl(nGC_3223)*dZee_QED2 + coupl(nGC_3224)*dsw_QED2 + &
                        coupl(nGC_3225)*dMZ2_QED2 + coupl(nGC_3226)*dcw_QED2
      coupl(nGC_3565) = coupl(nGC_3149)*dlam_QED4
      coupl(nGC_3566) = coupl(nGC_3148)*dlam_QED4
      coupl(nGC_3568) = coupl(nGC_3092)*dlam_QED4 + coupl(nGC_3093)*dvev_QED1
      coupl(nGC_3569) = coupl(nGC_3094)*dlam_QED4 + coupl(nGC_3095)*dvev_QED1
      coupl(nGC_3649) = coupl(nGC_3108)*dyc_QED3
      coupl(nGC_3648) = coupl(nGC_3108)*dyc_QED1_QCD2
      coupl(nGC_5666) = -coupl(nGC_5665)
      coupl(nGC_3393) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0*Nc)
      coupl(nGC_3392) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3643) = coupl(nGC_3132)*dyup_QED3
      coupl(nGC_3642) = coupl(nGC_3132)*dyup_QED1_QCD2
      coupl(nGC_5101) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_5102) = coupl(nGC_5099) + coupl(nGC_5100)
      coupl(nGC_5103) = coupl(nGC_5100) + coupl(nGC_5101)
      coupl(nGC_5106) = coupl(nGC_3556) + coupl(nGC_4)*dZWMinus_QED2/2d0
      coupl(nGC_5107) = -coupl(nGC_5106)
      coupl(nGC_3249) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_23)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_164)**2d0 + 3d0*cMW**2d0*cima*coupl(&
                        nGC_184)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + &
                        3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 4d0*cMW**2d0*    &
                        coupl(nGC_18) + 3d0*cMZ**2d0*cima*coupl(nGC_164)**2d0  &
                         + 3d0*cMZ**2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*&
                        coupl(nGC_592))/(32d0*pi**2d0)
      coupl(nGC_3248) = cima*(coupl(nGC_164)**2d0 + coupl(nGC_184)**2d0 + coupl&
                        (nGC_25)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
      coupl(nGC_9129) = coupl(nGC_3663) + coupl(nGC_9126)
      coupl(nGC_3245) = cima*(coupl(nGC_184)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_6782) = coupl(nGC_3678) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_3247) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_164)**2d0 &
                         - coupl(nGC_184)**2d0 - 2d0*coupl(nGC_23)**2d0 - coupl&
                        (nGC_25)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3246) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_184)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)** &
                        2d0 - 2d0*cMW**2d0*coupl(nGC_190))/(16d0*pi**2d0)
      coupl(nGC_3570) = coupl(nGC_3141)*dZee_QED2
      coupl(nGC_3243) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3242) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_38)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7852) = -coupl(nGC_5146)
      coupl(nGC_5389) = coupl(nGC_3652) + coupl(nGC_78)*dZtL_QCD2/2d0 + coupl( &
                        nGC_78)*dZtR_QCD2/2d0
      coupl(nGC_7856) = coupl(nGC_3569) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 +     &
                        coupl(nGC_HHH)
      coupl(nGC_3472) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)*&
                        coupl(nGC_64) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(  &
                        nGC_74)*coupl(nGC_76) - 24d0*Nc*cima*coupl(nGC_2)**2d0*&
                        coupl(nGC_58)*coupl(nGC_60) - 24d0*Nc*cima*coupl(nGC_2 &
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) - 24d0*Nc*cima*coupl&
                        (nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) + 12d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_190) + 4d0*cima*coupl(nGC_178  &
                        )**2d0*coupl(nGC_22)*coupl(nGC_362) + 9d0*cima*coupl(  &
                        nGC_184)**2d0*coupl(nGC_22)*coupl(nGC_362) + 9d0*cima* &
                        coupl(nGC_22)*coupl(nGC_3)**2d0*coupl(nGC_362) + 4d0*  &
                        cima*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_4)**2d0 -  &
                        24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68 &
                        ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_70)*coupl(   &
                        nGC_72) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_82)*   &
                        coupl(nGC_84) + 18d0*coupl(nGC_17)*coupl(nGC_184)**2d0 &
                         + 18d0*coupl(nGC_17)*coupl(nGC_3)**2d0 - 6d0*coupl(   &
                        nGC_184)*coupl(nGC_22)*coupl(nGC_26) - 6d0*coupl(      &
                        nGC_184)*coupl(nGC_28)*coupl(nGC_362) - 6d0*coupl(     &
                        nGC_190)*coupl(nGC_22)*coupl(nGC_362) - 6d0*coupl(     &
                        nGC_22)*coupl(nGC_28)*coupl(nGC_3) + 6d0*coupl(nGC_22)*&
                        coupl(nGC_362)*coupl(nGC_6) - 6d0*coupl(nGC_26)*coupl( &
                        nGC_3)*coupl(nGC_362))/(96d0*pi**2d0)
      coupl(nGC_3418) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3419) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(     &
                        nGC_39)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*   &
                        coupl(nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3414) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3415) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34&
                        )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +   &
                        coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(&
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3416) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3417) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*   &
                        coupl(nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3410) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_164)*coupl(nGC_39) - coupl( &
                        nGC_184)*coupl(nGC_2) - coupl(nGC_25)*coupl(nGC_38) +  &
                        coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3411) = coupl(nGC_23)*(coupl(nGC_164)*coupl(nGC_40) + coupl(   &
                        nGC_184)*coupl(nGC_4) + coupl(nGC_25)*coupl(nGC_41) +  &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_5030) = coupl(nGC_3619) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl( &
                        nGC_76)*dZsR_QED2/2d0
      coupl(nGC_3289) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                        nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl( &
                        nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0  &
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)* &
                        coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57  &
                        )**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0* &
                        Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85&
                        )**2d0 + coupl(nGC_1168)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_178)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_20)*coupl(  &
                        nGC_236)*coupl(nGC_3) - 6d0*coupl(nGC_22)*coupl(nGC_3)*&
                        coupl(nGC_362) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + &
                        4d0*coupl(nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*&
                        coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_7434) = coupl(nGC_3615) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl( &
                        nGC_62)*dZdR_QED2/2d0
      coupl(nGC_6090) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_5958) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZtR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_5957) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZtL_QED2
      coupl(nGC_3616) = coupl(nGC_3125)*dys_QED1_QCD2
      coupl(nGC_5955) = coupl(nGC_35)*dZtR_QCD2
      coupl(nGC_5952) = coupl(nGC_39)*dZtL_QCD2
      coupl(nGC_3617) = coupl(nGC_3125)*dys_QED3
      coupl(nGC_5212) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3576) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_3279) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(    &
                        nGC_39))/(8d0*pi**2d0)
      coupl(nGC_5218) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_6007) = coupl(nGC_6003) + coupl(nGC_6006)
      coupl(nGC_6734) = coupl(nGC_3638) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_84)*dZtauMinusR_QED2/2d0
      coupl(nGC_6735) = coupl(nGC_3637) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_82)*dZtauMinusR_QED2/2d0
      coupl(nGC_3237) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57  &
                        )**2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(     &
                        nGC_73)**2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl&
                        (nGC_85)**2d0 + coupl(nGC_1168)**2d0 + coupl(nGC_178)**&
                        2d0 + coupl(nGC_20)*coupl(nGC_236) + coupl(nGC_21)*    &
                        coupl(nGC_266) + 2d0*coupl(nGC_22)*coupl(nGC_362) +    &
                        coupl(nGC_4)**2d0 + coupl(nGC_40)**2d0 + 4d0*coupl(    &
                        nGC_65)**2d0 + 4d0*coupl(nGC_69)**2d0 + 4d0*coupl(     &
                        nGC_81)**2d0)/(192d0*pi**2d0)
      coupl(nGC_3640) = coupl(nGC_3122)*dym_QED3
      coupl(nGC_5508) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3561) + coupl(  &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5509) = -coupl(nGC_5508)
      coupl(nGC_7126) = coupl(nGC_3674) + coupl(nGC_7120)
      coupl(nGC_7127) = coupl(nGC_3675) + coupl(nGC_7121)
      coupl(nGC_3359) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) -  &
                        coupl(nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0* &
                        coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3356) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_210)* &
                        coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) -  &
                        coupl(nGC_62)*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(&
                        nGC_64)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3355) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3354) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_59) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_57) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_60) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) -  &
                        coupl(nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(&
                        nGC_60)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3352) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_210)* &
                        coupl(nGC_35)*coupl(nGC_59) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_59) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) -  &
                        coupl(nGC_58)**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0* &
                        coupl(nGC_60))/(32d0*pi**2d0)
      coupl(nGC_3350) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_55) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_53) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) -  &
                        coupl(nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0* &
                        coupl(nGC_56))/(32d0*pi**2d0)
      coupl(nGC_3308) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*&
                        coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3592) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_6185) = coupl(nGC_4942) + coupl(nGC_6182)
      coupl(nGC_6183) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
      coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3329) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_85) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_1168)*  &
                        coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(   &
                        nGC_88) - coupl(nGC_23)*coupl(nGC_266)*coupl(nGC_87) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*   &
                        coupl(nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(     &
                        nGC_63)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_3598) = coupl(nGC_3217)*dZee_QED2 + coupl(nGC_3218)*dsw_QED2 + &
                        coupl(nGC_3219)*dcw_QED2
      coupl(nGC_3323) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_1168)*   &
                        coupl(nGC_35)*coupl(nGC_57) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*    &
                        coupl(nGC_59) + coupl(nGC_23)*coupl(nGC_362)*coupl(    &
                        nGC_60) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57 &
                        ) + coupl(nGC_38)*coupl(nGC_40)*coupl(nGC_57) - coupl( &
                        nGC_59)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_60)*   &
                        coupl(nGC_73)*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_5432) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_3321) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_77) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_1168)*  &
                        coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(   &
                        nGC_80) - coupl(nGC_23)*coupl(nGC_266)*coupl(nGC_79) + &
                        8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl( &
                        nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*   &
                        coupl(nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(     &
                        nGC_55)*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3327) = (-coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_61) + 8d0*coupl&
                        (nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_1168)*  &
                        coupl(nGC_34)*coupl(nGC_61) - coupl(nGC_2)*coupl(nGC_4 &
                        )*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(   &
                        nGC_63) - coupl(nGC_23)*coupl(nGC_362)*coupl(nGC_64) + &
                        8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl( &
                        nGC_39)*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*   &
                        coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(     &
                        nGC_85)*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_3450) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_3436) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*   &
                        coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3454) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_3455) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**&
                        2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3457) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3458) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)**&
                        2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3459) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl&
                        (nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3408) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_184) + coupl(    &
                        nGC_1)*coupl(nGC_2) + coupl(nGC_164)*coupl(nGC_38) +   &
                        coupl(nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39 &
                        ) + coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_5408) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_eL_QED2
      coupl(nGC_3519) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0*Nc)
      coupl(nGC_3518) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/( &
                        16d0*pi**2d0)
      coupl(nGC_7347) = coupl(nGC_3664) + coupl(nGC_7345)
      coupl(nGC_3510) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39 &
                        )**2d0 - 16d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)** &
                        2d0 + 6d0*cima*coupl(nGC_18)*coupl(nGC_592) - 16d0*cima&
                        *coupl(nGC_184)**2d0*coupl(nGC_25)**2d0 + 18d0*cima*   &
                        coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl&
                        (nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima* &
                        coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 9d0*coupl(     &
                        nGC_164)**2d0*coupl(nGC_18) + 9d0*coupl(nGC_164)**2d0* &
                        coupl(nGC_592) + 6d0*coupl(nGC_164)*coupl(nGC_19)*coupl&
                        (nGC_25) + 6d0*coupl(nGC_168)*coupl(nGC_184)*coupl(    &
                        nGC_25) + 9d0*coupl(nGC_18)*coupl(nGC_25)**2d0 + 9d0*  &
                        coupl(nGC_184)**2d0*coupl(nGC_592))/(48d0*pi**2d0)
      coupl(nGC_3517) = (36d0*Nc*cima*coupl(nGC_23)**4d0 - 16d0*cima*coupl(    &
                        nGC_164)**4d0 - 32d0*cima*coupl(nGC_164)**2d0*coupl(   &
                        nGC_184)**2d0 - 24d0*cima*coupl(nGC_164)**2d0*coupl(   &
                        nGC_25)**2d0 - 48d0*cima*coupl(nGC_164)*coupl(nGC_184)*&
                        coupl(nGC_25)*coupl(nGC_3) + 12d0*cima*coupl(nGC_18)** &
                        2d0 - 16d0*cima*coupl(nGC_184)**4d0 - 24d0*cima*coupl( &
                        nGC_184)**2d0*coupl(nGC_3)**2d0 + 6d0*cima*coupl(      &
                        nGC_190)**2d0 + 36d0*cima*coupl(nGC_23)**4d0 - 16d0*   &
                        cima*coupl(nGC_25)**4d0 - 32d0*cima*coupl(nGC_25)**2d0*&
                        coupl(nGC_3)**2d0 + 12d0*cima*coupl(nGC_29)**2d0 - 16d0&
                        *cima*coupl(nGC_3)**4d0 + 6d0*cima*coupl(nGC_592)**2d0 &
                         + 21d0*coupl(nGC_164)**2d0*coupl(nGC_18) + 3d0*coupl( &
                        nGC_164)**2d0*coupl(nGC_19) + 18d0*coupl(nGC_164)**2d0*&
                        coupl(nGC_592) + 6d0*coupl(nGC_164)*coupl(nGC_168)*    &
                        coupl(nGC_184) + 6d0*coupl(nGC_164)*coupl(nGC_18)*coupl&
                        (nGC_25) + 36d0*coupl(nGC_164)*coupl(nGC_184)*coupl(   &
                        nGC_29) + 6d0*coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_3 &
                        ) + 21d0*coupl(nGC_18)*coupl(nGC_184)**2d0 + 6d0*coupl(&
                        nGC_18)*coupl(nGC_184)*coupl(nGC_3) + 21d0*coupl(nGC_18&
                        )*coupl(nGC_25)**2d0 + 21d0*coupl(nGC_18)*coupl(nGC_3  &
                        )**2d0 + 18d0*coupl(nGC_184)**2d0*coupl(nGC_190) + 3d0*&
                        coupl(nGC_184)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_19)*  &
                        coupl(nGC_25)**2d0 + 18d0*coupl(nGC_190)*coupl(nGC_3)**&
                        2d0 + 18d0*coupl(nGC_25)**2d0*coupl(nGC_592) + 36d0*   &
                        coupl(nGC_25)*coupl(nGC_29)*coupl(nGC_3) + 3d0*coupl(  &
                        nGC_3)**2d0*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3516) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(    &
                        nGC_164)**4d0 - 8d0*cima*coupl(nGC_164)**2d0*coupl(    &
                        nGC_184)**2d0 - 16d0*cima*coupl(nGC_164)**2d0*coupl(   &
                        nGC_25)**2d0 - 32d0*cima*coupl(nGC_164)*coupl(nGC_184)*&
                        coupl(nGC_25)*coupl(nGC_3) - 4d0*cima*coupl(nGC_184)** &
                        4d0 - 16d0*cima*coupl(nGC_184)**2d0*coupl(nGC_3)**2d0  &
                         - 30d0*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(nGC_25&
                        )**4d0 - 8d0*cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 &
                         - 4d0*cima*coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_456 &
                        )**2d0 + 3d0*coupl(nGC_164)**2d0*coupl(nGC_19) + 3d0*  &
                        coupl(nGC_164)**2d0*coupl(nGC_456) + 6d0*coupl(nGC_164 &
                        )*coupl(nGC_168)*coupl(nGC_184) + 18d0*coupl(nGC_164)* &
                        coupl(nGC_25)*coupl(nGC_456) + 6d0*coupl(nGC_168)*coupl&
                        (nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_184)**2d0*coupl( &
                        nGC_456) + 3d0*coupl(nGC_184)**2d0*coupl(nGC_5) + 18d0*&
                        coupl(nGC_184)*coupl(nGC_3)*coupl(nGC_456) + 3d0*coupl(&
                        nGC_19)*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_25)**2d0*   &
                        coupl(nGC_456) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_456   &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5))/(48d0*pi**2d0)
      coupl(nGC_5079) = coupl(nGC_3570) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_5174) = coupl(nGC_3658) + coupl(nGC_5173)
      coupl(nGC_3388) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_210)*coupl(    &
                        nGC_34)*coupl(nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -  &
                        coupl(nGC_62)**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_7974) = -2d0*coupl(nGC_7973)
      coupl(nGC_5075) = coupl(nGC_3609) + coupl(nGC_77)*dZbL_QED2/2d0 + coupl( &
                        nGC_77)*dZtR_QED2/2d0
      coupl(nGC_5649) = coupl(nGC_34)*dZdR_QCD2
      coupl(nGC_5646) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_6550) = coupl(nGC_3625) + coupl(nGC_63)*dZH_QED2/2d0
      coupl(nGC_6551) = coupl(nGC_6547) + coupl(nGC_6550)
      coupl(nGC_5318) = coupl(nGC_3568) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(  &
                        nGC_GGH)
      coupl(nGC_3588) = coupl(nGC_3231)*dZee_QED2 + coupl(nGC_3232)*dsw_QED2 + &
                        coupl(nGC_3233)*dcw_QED2
      coupl(nGC_3589) = coupl(nGC_3113)*dsw_QED2 + coupl(nGC_3114)*dZee_QED2 + &
                        coupl(nGC_3115)*dcw_QED2 + coupl(nGC_3116)*dvev_QED1
      coupl(nGC_3586) = coupl(nGC_3144)*dZee_QED2 + coupl(nGC_3145)*dcw_QED2
      coupl(nGC_3585) = coupl(nGC_3097)*dZee_QED2 + coupl(nGC_3098)*dcw_QED2 + &
                        coupl(nGC_3099)*dvev_QED1
      coupl(nGC_6414) = coupl(nGC_6410) + coupl(nGC_6413)
      coupl(nGC_3539) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_2000)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_1994)*sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2000)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_3538) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_2000)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(       &
                        nGC_1998)*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2000)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_5540) = coupl(nGC_3603) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl( &
                        nGC_85)*dZuR_QED2/2d0
      coupl(nGC_5989) = coupl(nGC_3642) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl( &
                        nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_3505) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 +   &
                        9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_21)*coupl(      &
                        nGC_266) + 9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_210)*&
                        coupl(nGC_37) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18   &
                        ) + 9d0*cima*coupl(nGC_184)**2d0*coupl(nGC_21)*coupl(  &
                        nGC_266) + 8d0*cima*coupl(nGC_20)*coupl(nGC_21)*coupl( &
                        nGC_236)*coupl(nGC_266) + 4d0*cima*coupl(nGC_20)*coupl(&
                        nGC_22)*coupl(nGC_236)*coupl(nGC_362) + 9d0*cima*coupl(&
                        nGC_20)*coupl(nGC_236)*coupl(nGC_25)**2d0 + 9d0*cima*  &
                        coupl(nGC_20)*coupl(nGC_236)*coupl(nGC_3)**2d0 + 4d0*  &
                        cima*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_266)*coupl( &
                        nGC_362) + 8d0*cima*coupl(nGC_210)*coupl(nGC_22)*coupl(&
                        nGC_362)*coupl(nGC_37) + 9d0*cima*coupl(nGC_210)*coupl(&
                        nGC_25)**2d0*coupl(nGC_37) - 32d0*cima*coupl(nGC_23)** &
                        2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_23)**2d0* &
                        coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_83)**2d0 + 12d0*cima*coupl(nGC_46)*coupl(nGC_592  &
                        ) + 36d0*coupl(nGC_164)**2d0*coupl(nGC_17) - 6d0*coupl(&
                        nGC_164)*coupl(nGC_21)*coupl(nGC_8) - 6d0*coupl(nGC_164&
                        )*coupl(nGC_266)*coupl(nGC_8) + 36d0*coupl(nGC_17)*    &
                        coupl(nGC_184)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_20)* &
                        coupl(nGC_236) + 6d0*coupl(nGC_17)*coupl(nGC_21)*coupl(&
                        nGC_266) + 6d0*coupl(nGC_17)*coupl(nGC_210)*coupl(     &
                        nGC_37) - 6d0*coupl(nGC_18)*coupl(nGC_20)*coupl(nGC_236&
                        ) - 6d0*coupl(nGC_18)*coupl(nGC_21)*coupl(nGC_266) -   &
                        6d0*coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_27) - 6d0*  &
                        coupl(nGC_184)*coupl(nGC_266)*coupl(nGC_27) - 6d0*coupl&
                        (nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_210)*coupl&
                        (nGC_37)*coupl(nGC_592) - 6d0*coupl(nGC_236)*coupl(    &
                        nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_236)*coupl(nGC_27 &
                        )*coupl(nGC_3) + 36d0*coupl(nGC_25)**2d0*coupl(nGC_46  &
                        ))/(192d0*pi**2d0)
      coupl(nGC_6381) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0&
                         + coupl(nGC_3552)
      coupl(nGC_3288) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61 &
                        ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73 &
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77 &
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85 &
                        ) + 4d0*cima*coupl(nGC_168)*coupl(nGC_47) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_51) - coupl(nGC_184)*coupl(     &
                        nGC_21)*coupl(nGC_50) + 6d0*coupl(nGC_184)*coupl(nGC_25&
                        )*coupl(nGC_47) + 6d0*coupl(nGC_184)*coupl(nGC_3)*coupl&
                        (nGC_51) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) - &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
      coupl(nGC_3469) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0&
                         - 16d0*cima*coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 +   &
                        12d0*cima*coupl(nGC_168)**2d0 - 8d0*cima*coupl(nGC_184 &
                        )**2d0*coupl(nGC_25)**2d0 - 24d0*cima*coupl(nGC_184)** &
                        2d0*coupl(nGC_3)**2d0 - 12d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_4)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0* &
                        coupl(nGC_164)**2d0*coupl(nGC_5) + 36d0*coupl(nGC_164)*&
                        coupl(nGC_168)*coupl(nGC_3) + 3d0*coupl(nGC_18)*coupl( &
                        nGC_3)**2d0 + 3d0*coupl(nGC_184)**2d0*coupl(nGC_456) + &
                        3d0*coupl(nGC_184)**2d0*coupl(nGC_5) + 6d0*coupl(      &
                        nGC_184)*coupl(nGC_190)*coupl(nGC_3) + 6d0*coupl(      &
                        nGC_184)*coupl(nGC_25)*coupl(nGC_29) + 36d0*coupl(     &
                        nGC_184)*coupl(nGC_3)*coupl(nGC_5))/(96d0*pi**2d0)
      coupl(nGC_3432) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(   &
                        nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*   &
                        coupl(nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3468) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                        nGC_57)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_61)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_73)**2d0 + 40d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_77)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0 - 32d0*Nc*cima* &
                        coupl(nGC_2)**2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_57)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 4d0*cima*coupl( &
                        nGC_1168)**2d0*coupl(nGC_4)**2d0 + 24d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_190) + 8d0*cima*coupl(nGC_178)**2d0* &
                        coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_178)**2d0*coupl(&
                        nGC_40)**2d0 + 9d0*cima*coupl(nGC_184)**2d0*coupl(     &
                        nGC_21)*coupl(nGC_266) + 9d0*cima*coupl(nGC_184)**2d0* &
                        coupl(nGC_22)*coupl(nGC_362) + 9d0*cima*coupl(nGC_20)* &
                        coupl(nGC_236)*coupl(nGC_3)**2d0 + 9d0*cima*coupl(     &
                        nGC_22)*coupl(nGC_3)**2d0*coupl(nGC_362) - 32d0*cima*  &
                        coupl(nGC_4)**2d0*coupl(nGC_65)**2d0 - 32d0*cima*coupl(&
                        nGC_4)**2d0*coupl(nGC_69)**2d0 - 32d0*cima*coupl(nGC_4 &
                        )**2d0*coupl(nGC_81)**2d0 + 6d0*coupl(nGC_1168)**2d0*  &
                        coupl(nGC_6) + 36d0*coupl(nGC_17)*coupl(nGC_184)**2d0  &
                         + 36d0*coupl(nGC_17)*coupl(nGC_3)**2d0 + 6d0*coupl(   &
                        nGC_178)**2d0*coupl(nGC_6) - 6d0*coupl(nGC_184)*coupl( &
                        nGC_21)*coupl(nGC_27) - 6d0*coupl(nGC_184)*coupl(nGC_22&
                        )*coupl(nGC_28) - 6d0*coupl(nGC_184)*coupl(nGC_26)*    &
                        coupl(nGC_362) - 6d0*coupl(nGC_184)*coupl(nGC_266)*    &
                        coupl(nGC_27) - 6d0*coupl(nGC_190)*coupl(nGC_20)*coupl(&
                        nGC_236) - 6d0*coupl(nGC_190)*coupl(nGC_22)*coupl(     &
                        nGC_362) - 6d0*coupl(nGC_20)*coupl(nGC_27)*coupl(nGC_3 &
                        ) - 6d0*coupl(nGC_22)*coupl(nGC_26)*coupl(nGC_3) - 6d0*&
                        coupl(nGC_236)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl( &
                        nGC_28)*coupl(nGC_3)*coupl(nGC_362))/(192d0*pi**2d0)
      coupl(nGC_6522) = coupl(nGC_3627) + coupl(nGC_75)*dZH_QED2/2d0
      coupl(nGC_6521) = coupl(nGC_3626) + coupl(nGC_6520)
      coupl(nGC_5260) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3550)
      coupl(nGC_5262) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_5913) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3550)
      coupl(nGC_5858) = coupl(nGC_3631) + coupl(nGC_69)*dZmuMinusR_QED2/2d0 +  &
                        coupl(nGC_69)*dZnu_muL_QED2/2d0
      coupl(nGC_3508) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55  &
                        )**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl&
                        (nGC_63)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38&
                        )*coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 + 4d0*cima* &
                        coupl(nGC_1168)**2d0*coupl(nGC_20)*coupl(nGC_236) + 9d0&
                        *cima*coupl(nGC_164)**2d0*coupl(nGC_20)*coupl(nGC_236  &
                        ) + 12d0*cima*coupl(nGC_17)*coupl(nGC_592) + 9d0*cima* &
                        coupl(nGC_21)*coupl(nGC_25)**2d0*coupl(nGC_266) + 4d0* &
                        cima*coupl(nGC_21)*coupl(nGC_266)*coupl(nGC_40)**2d0 + &
                        4d0*cima*coupl(nGC_210)**2d0*coupl(nGC_37)**2d0 - 32d0*&
                        cima*coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*&
                        coupl(nGC_36)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl&
                        (nGC_36)**2d0*coupl(nGC_83)**2d0 + 40d0*cima*coupl(    &
                        nGC_36)*coupl(nGC_40)*coupl(nGC_67)**2d0 + 40d0*cima*  &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71)**2d0 + 40d0* &
                        cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83)**2d0 -  &
                        32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_67)**2d0 - 32d0*&
                        cima*coupl(nGC_40)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*&
                        coupl(nGC_40)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(    &
                        nGC_164)**2d0*coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl(&
                        nGC_20)*coupl(nGC_8) - 6d0*coupl(nGC_164)*coupl(nGC_236&
                        )*coupl(nGC_8) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 &
                         + 3d0*coupl(nGC_20)*coupl(nGC_236)*coupl(nGC_45) - 3d0&
                        *coupl(nGC_20)*coupl(nGC_236)*coupl(nGC_592) - 6d0*    &
                        coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_8) + 3d0*coupl(  &
                        nGC_21)*coupl(nGC_266)*coupl(nGC_45) - 3d0*coupl(nGC_21&
                        )*coupl(nGC_266)*coupl(nGC_592) + 3d0*coupl(nGC_210)*  &
                        coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl(nGC_25)*coupl( &
                        nGC_266)*coupl(nGC_8))/(96d0*pi**2d0)
      coupl(nGC_4965) = coupl(nGC_3671) + coupl(nGC_4959)
      coupl(nGC_4964) = coupl(nGC_3670) + coupl(nGC_4958)
      coupl(nGC_5044) = coupl(nGC_3620) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl( &
                        nGC_54)*dZbR_QCD2/2d0
      coupl(nGC_4969) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0&
                         + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3572) + &
                        coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_5499) = coupl(nGC_5219) + coupl(nGC_5497)
      coupl(nGC_5083) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3556) + coupl( &
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_5135) = coupl(nGC_5133) - 2d0*coupl(nGC_5134)
      coupl(nGC_5136) = -coupl(nGC_5133)/2d0 + coupl(nGC_5134)
      coupl(nGC_5130) = coupl(nGC_5122) + coupl(nGC_5128)
      coupl(nGC_3380) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_56) - coupl(nGC_23)*coupl(     &
                        nGC_236)*coupl(nGC_53) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -  &
                        coupl(nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3381) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_210)*coupl(    &
                        nGC_34)*coupl(nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -  &
                        coupl(nGC_54)**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3384) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_58) - coupl(nGC_23)*coupl(     &
                        nGC_266)*coupl(nGC_57) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_59) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) -  &
                        coupl(nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3385) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_57) - coupl(nGC_210)*coupl(    &
                        nGC_35)*coupl(nGC_60) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_60) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) -  &
                        coupl(nGC_59)**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3387) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_64) - coupl(nGC_23)*coupl(     &
                        nGC_236)*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -  &
                        coupl(nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3494) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_58) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_62) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_74) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_78) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_86) + 4d0*cima*coupl(nGC_1168)*coupl(nGC_20)*coupl(&
                        nGC_37)*coupl(nGC_40) + 4d0*cima*coupl(nGC_1168)*coupl(&
                        nGC_22)**3d0 + 4d0*cima*coupl(nGC_1168)*coupl(nGC_22)* &
                        coupl(nGC_266)**2d0 + 4d0*cima*coupl(nGC_1168)*coupl(  &
                        nGC_362)*coupl(nGC_37)**2d0 + 9d0*cima*coupl(nGC_164)* &
                        coupl(nGC_20)*coupl(nGC_210)*coupl(nGC_25) + 9d0*cima* &
                        coupl(nGC_164)*coupl(nGC_25)*coupl(nGC_362)*coupl(     &
                        nGC_40) + 9d0*cima*coupl(nGC_164)*coupl(nGC_3)*coupl(  &
                        nGC_362)*coupl(nGC_4) + 24d0*cima*coupl(nGC_168)*coupl(&
                        nGC_26) + 24d0*cima*coupl(nGC_19)*coupl(nGC_7) + 4d0*  &
                        cima*coupl(nGC_210)*coupl(nGC_22)**2d0*coupl(nGC_266   &
                        ) + 4d0*cima*coupl(nGC_22)**2d0*coupl(nGC_266)*coupl(  &
                        nGC_37) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl( &
                        nGC_65)*coupl(nGC_66) + 20d0*cima*coupl(nGC_23)*coupl( &
                        nGC_36)*coupl(nGC_69)*coupl(nGC_70) + 20d0*cima*coupl( &
                        nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_82) -    &
                        16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*   &
                        coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)* &
                        coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)* &
                        coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82) - 16d0*cima* &
                        coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_66 &
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69 &
                        )*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_81)*coupl(nGC_82) + 6d0*coupl(nGC_1168)*   &
                        coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_164)*coupl( &
                        nGC_17)*coupl(nGC_362) - 6d0*coupl(nGC_164)*coupl(     &
                        nGC_210)*coupl(nGC_8) + 36d0*coupl(nGC_164)*coupl(     &
                        nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_164)*coupl(nGC_362&
                        )*coupl(nGC_46) - 6d0*coupl(nGC_168)*coupl(nGC_362)*   &
                        coupl(nGC_4) - 6d0*coupl(nGC_17)*coupl(nGC_25)*coupl(  &
                        nGC_362) + 36d0*coupl(nGC_184)*coupl(nGC_25)*coupl(    &
                        nGC_26) - 6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(nGC_210&
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_362)*coupl(nGC_40) +   &
                        6d0*coupl(nGC_22)**2d0*coupl(nGC_7) + 6d0*coupl(nGC_22 &
                        )*coupl(nGC_266)*coupl(nGC_8) - 6d0*coupl(nGC_25)*coupl&
                        (nGC_362)*coupl(nGC_45) - 6d0*coupl(nGC_25)*coupl(     &
                        nGC_40)*coupl(nGC_7) - 6d0*coupl(nGC_3)*coupl(nGC_362)*&
                        coupl(nGC_42) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(   &
                        nGC_7))/(192d0*pi**2d0)
      coupl(nGC_5035) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3586) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_3497) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 4d0*cima*coupl(nGC_1168)*coupl(nGC_20)*coupl(&
                        nGC_210)**2d0 + 4d0*cima*coupl(nGC_1168)*coupl(nGC_210 &
                        )*coupl(nGC_362)*coupl(nGC_40) + 4d0*cima*coupl(       &
                        nGC_1168)*coupl(nGC_22)**2d0*coupl(nGC_236) + 4d0*cima*&
                        coupl(nGC_1168)*coupl(nGC_236)*coupl(nGC_266)**2d0 +   &
                        9d0*cima*coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_25)*   &
                        coupl(nGC_40) + 9d0*cima*coupl(nGC_164)*coupl(nGC_20)* &
                        coupl(nGC_3)*coupl(nGC_4) + 9d0*cima*coupl(nGC_164)*   &
                        coupl(nGC_25)*coupl(nGC_362)*coupl(nGC_37) + 24d0*cima*&
                        coupl(nGC_168)*coupl(nGC_27) + 24d0*cima*coupl(nGC_19)*&
                        coupl(nGC_8) + 4d0*cima*coupl(nGC_210)*coupl(nGC_22)*  &
                        coupl(nGC_236)*coupl(nGC_266) + 4d0*cima*coupl(nGC_22)*&
                        coupl(nGC_236)*coupl(nGC_266)*coupl(nGC_37) + 20d0*cima&
                        *coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_67&
                        ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69 &
                        )*coupl(nGC_71) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36 &
                        )*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_67) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_71&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81 &
                        )*coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_83&
                        ) + 6d0*coupl(nGC_1168)*coupl(nGC_210)*coupl(nGC_7) -  &
                        6d0*coupl(nGC_164)*coupl(nGC_17)*coupl(nGC_20) - 6d0*  &
                        coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_46) + 36d0*coupl&
                        (nGC_164)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(      &
                        nGC_164)*coupl(nGC_37)*coupl(nGC_7) - 6d0*coupl(nGC_168&
                        )*coupl(nGC_20)*coupl(nGC_4) - 6d0*coupl(nGC_17)*coupl(&
                        nGC_20)*coupl(nGC_25) + 36d0*coupl(nGC_184)*coupl(     &
                        nGC_25)*coupl(nGC_27) - 6d0*coupl(nGC_19)*coupl(nGC_20 &
                        )*coupl(nGC_40) - 6d0*coupl(nGC_19)*coupl(nGC_362)*    &
                        coupl(nGC_37) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl( &
                        nGC_45) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_42  &
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_236)*coupl(nGC_7) + 6d0&
                        *coupl(nGC_236)*coupl(nGC_266)*coupl(nGC_8) - 6d0*coupl&
                        (nGC_25)*coupl(nGC_40)*coupl(nGC_8) - 6d0*coupl(nGC_3)*&
                        coupl(nGC_4)*coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_3490) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77)*&
                        coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl( &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_59)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_75)**2d0 + 40d0*Nc*cima*coupl(nGC_57)*coupl(nGC_59 &
                        )*coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*coupl(    &
                        nGC_59)**2d0*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_63)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_61)**2d0*coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87) +    &
                        20d0*Nc*cima*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_73)**2d0*coupl(nGC_75)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_77)**2d0*coupl(nGC_79)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(nGC_87)**2d0 -   &
                        10d0*cima*coupl(nGC_1168)**2d0*coupl(nGC_21)*coupl(    &
                        nGC_266) - 5d0*cima*coupl(nGC_1168)*coupl(nGC_21)*coupl&
                        (nGC_362)*coupl(nGC_37) - 5d0*cima*coupl(nGC_1168)*    &
                        coupl(nGC_210)*coupl(nGC_22)*coupl(nGC_266) + 12d0*cima&
                        *coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_178)**2d0*   &
                        coupl(nGC_21)*coupl(nGC_266) - 10d0*cima*coupl(nGC_20)*&
                        coupl(nGC_21)*coupl(nGC_236)*coupl(nGC_266) - 5d0*cima*&
                        coupl(nGC_20)*coupl(nGC_362)*coupl(nGC_37)*coupl(nGC_40&
                        ) - 10d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_266&
                        )*coupl(nGC_362) - 5d0*cima*coupl(nGC_210)*coupl(nGC_22&
                        )*coupl(nGC_236)*coupl(nGC_40) - 10d0*cima*coupl(      &
                        nGC_210)*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_37) -  &
                        10d0*cima*coupl(nGC_210)*coupl(nGC_37)*coupl(nGC_40)** &
                        2d0 + 24d0*cima*coupl(nGC_27)**2d0 + 6d0*cima*coupl(   &
                        nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(nGC_65)**2d0*  &
                        coupl(nGC_67)**2d0 + 20d0*cima*coupl(nGC_69)**2d0*coupl&
                        (nGC_71)**2d0 + 24d0*cima*coupl(nGC_8)**2d0 + 20d0*cima&
                        *coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 3d0*coupl(    &
                        nGC_1168)**2d0*coupl(nGC_13) - 6d0*coupl(nGC_1168)*    &
                        coupl(nGC_21)*coupl(nGC_8) - 6d0*coupl(nGC_1168)*coupl(&
                        nGC_266)*coupl(nGC_8) + 3d0*coupl(nGC_13)*coupl(nGC_178&
                        )**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_20)*coupl(nGC_21  &
                        ) + 3d0*coupl(nGC_13)*coupl(nGC_210)*coupl(nGC_37) +   &
                        3d0*coupl(nGC_13)*coupl(nGC_22)*coupl(nGC_362) + 6d0*  &
                        coupl(nGC_13)*coupl(nGC_236)*coupl(nGC_266) + 3d0*coupl&
                        (nGC_14)*coupl(nGC_20)*coupl(nGC_236) + 3d0*coupl(     &
                        nGC_14)*coupl(nGC_21)*coupl(nGC_266) + 3d0*coupl(nGC_15&
                        )*coupl(nGC_21)*coupl(nGC_266) - 6d0*coupl(nGC_17)*    &
                        coupl(nGC_20)*coupl(nGC_236) - 3d0*coupl(nGC_17)*coupl(&
                        nGC_21)*coupl(nGC_266) - 3d0*coupl(nGC_17)*coupl(nGC_22&
                        )*coupl(nGC_362) - 6d0*coupl(nGC_178)*coupl(nGC_21)*   &
                        coupl(nGC_27) - 6d0*coupl(nGC_178)*coupl(nGC_266)*coupl&
                        (nGC_27) - 6d0*coupl(nGC_210)*coupl(nGC_22)*coupl(nGC_8&
                        ) - 3d0*coupl(nGC_210)*coupl(nGC_37)*coupl(nGC_45) -   &
                        6d0*coupl(nGC_362)*coupl(nGC_37)*coupl(nGC_8) - 3d0*   &
                        coupl(nGC_40)**2d0*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_5031) = coupl(nGC_3617) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl( &
                        nGC_74)*dZsR_QED2/2d0
      coupl(nGC_3492) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -   &
                        16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl&
                        (nGC_61)**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39&
                        )*coupl(nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_38)*coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 4d0*cima* &
                        coupl(nGC_1168)**2d0*coupl(nGC_40)**2d0 + 12d0*cima*   &
                        coupl(nGC_17)*coupl(nGC_592) + 4d0*cima*coupl(nGC_178  &
                        )**2d0*coupl(nGC_40)**2d0 + 9d0*cima*coupl(nGC_20)*    &
                        coupl(nGC_236)*coupl(nGC_25)**2d0 + 4d0*cima*coupl(    &
                        nGC_21)*coupl(nGC_210)*coupl(nGC_266)*coupl(nGC_37) +  &
                        4d0*cima*coupl(nGC_210)*coupl(nGC_22)*coupl(nGC_362)*  &
                        coupl(nGC_37) + 9d0*cima*coupl(nGC_22)*coupl(nGC_25)** &
                        2d0*coupl(nGC_362) - 16d0*cima*coupl(nGC_36)**2d0*coupl&
                        (nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(    &
                        nGC_69)**2d0 - 16d0*cima*coupl(nGC_36)**2d0*coupl(     &
                        nGC_81)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(nGC_41)*  &
                        coupl(nGC_65)**2d0 + 20d0*cima*coupl(nGC_36)*coupl(    &
                        nGC_41)*coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_36)*  &
                        coupl(nGC_41)*coupl(nGC_81)**2d0 - 16d0*cima*coupl(    &
                        nGC_41)**2d0*coupl(nGC_65)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_69)**2d0 - 16d0*cima*coupl(     &
                        nGC_41)**2d0*coupl(nGC_81)**2d0 + 3d0*coupl(nGC_1168)**&
                        2d0*coupl(nGC_45) + 18d0*coupl(nGC_164)**2d0*coupl(    &
                        nGC_17) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 + 3d0* &
                        coupl(nGC_178)**2d0*coupl(nGC_45) - 3d0*coupl(nGC_20)* &
                        coupl(nGC_236)*coupl(nGC_592) - 6d0*coupl(nGC_20)*coupl&
                        (nGC_25)*coupl(nGC_8) + 3d0*coupl(nGC_21)*coupl(nGC_266&
                        )*coupl(nGC_46) - 6d0*coupl(nGC_22)*coupl(nGC_25)*coupl&
                        (nGC_7) + 3d0*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_46&
                        ) - 3d0*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_592) -  &
                        6d0*coupl(nGC_236)*coupl(nGC_25)*coupl(nGC_8) - 6d0*   &
                        coupl(nGC_25)*coupl(nGC_362)*coupl(nGC_9))/(96d0*pi**  &
                        2d0)
      coupl(nGC_3498) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_60) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_64) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_88) + 9d0*cima*coupl(nGC_1168)*coupl(nGC_164)*coupl&
                        (nGC_25)*coupl(nGC_362) + 4d0*cima*coupl(nGC_1168)*    &
                        coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + 9d0*cima*  &
                        coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_210)*coupl(     &
                        nGC_25) + 24d0*cima*coupl(nGC_168)*coupl(nGC_28) + 9d0*&
                        cima*coupl(nGC_178)*coupl(nGC_184)*coupl(nGC_25)*coupl(&
                        nGC_362) + 24d0*cima*coupl(nGC_19)*coupl(nGC_9) + 4d0* &
                        cima*coupl(nGC_210)*coupl(nGC_22)**2d0*coupl(nGC_236   &
                        ) + 4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_40) + 4d0*   &
                        cima*coupl(nGC_22)**2d0*coupl(nGC_236)*coupl(nGC_37) + &
                        4d0*cima*coupl(nGC_22)*coupl(nGC_236)**2d0*coupl(nGC_40&
                        ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65 &
                        )*coupl(nGC_68) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 20d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_84) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*coupl(nGC_68&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69 &
                        )*coupl(nGC_72) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40 &
                        )*coupl(nGC_81)*coupl(nGC_84) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_68) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_72&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81 &
                        )*coupl(nGC_84) + 4d0*cima*coupl(nGC_362)*coupl(nGC_37 &
                        )**2d0*coupl(nGC_40) - 6d0*coupl(nGC_1168)*coupl(      &
                        nGC_164)*coupl(nGC_9) - 6d0*coupl(nGC_1168)*coupl(     &
                        nGC_19)*coupl(nGC_362) - 6d0*coupl(nGC_164)*coupl(     &
                        nGC_17)*coupl(nGC_362) + 36d0*coupl(nGC_164)*coupl(    &
                        nGC_25)*coupl(nGC_9) + 36d0*coupl(nGC_164)*coupl(nGC_28&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_164)*coupl(nGC_362)*    &
                        coupl(nGC_45) - 6d0*coupl(nGC_168)*coupl(nGC_178)*coupl&
                        (nGC_362) - 6d0*coupl(nGC_17)*coupl(nGC_25)*coupl(     &
                        nGC_362) - 6d0*coupl(nGC_178)*coupl(nGC_184)*coupl(    &
                        nGC_9) - 6d0*coupl(nGC_184)*coupl(nGC_362)*coupl(nGC_42&
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_21)*coupl(nGC_210) -   &
                        6d0*coupl(nGC_210)*coupl(nGC_25)*coupl(nGC_8) + 6d0*   &
                        coupl(nGC_22)**2d0*coupl(nGC_9) + 6d0*coupl(nGC_22)*   &
                        coupl(nGC_236)*coupl(nGC_8) - 6d0*coupl(nGC_25)*coupl( &
                        nGC_362)*coupl(nGC_46) + 6d0*coupl(nGC_37)*coupl(nGC_40&
                        )*coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_3499) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53 &
                        )*coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(    &
                        nGC_34)*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*    &
                        coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75 &
                        ) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(    &
                        nGC_57)*coupl(nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*    &
                        coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*   &
                        cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_38)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_53)*coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_57)*coupl(nGC_59) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61)*coupl(  &
                        nGC_63) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*    &
                        coupl(nGC_73)*coupl(nGC_75) - 16d0*Nc*cima*coupl(nGC_23&
                        )*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 16d0*Nc* &
                        cima*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85)*coupl(  &
                        nGC_87) + 9d0*cima*coupl(nGC_1168)*coupl(nGC_164)*coupl&
                        (nGC_21)*coupl(nGC_25) + 4d0*cima*coupl(nGC_1168)*coupl&
                        (nGC_210)*coupl(nGC_362)*coupl(nGC_40) + 9d0*cima*coupl&
                        (nGC_164)*coupl(nGC_25)*coupl(nGC_362)*coupl(nGC_37) + &
                        24d0*cima*coupl(nGC_168)*coupl(nGC_27) + 9d0*cima*coupl&
                        (nGC_178)*coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_25) + &
                        24d0*cima*coupl(nGC_19)*coupl(nGC_8) + 4d0*cima*coupl( &
                        nGC_21)*coupl(nGC_210)**2d0*coupl(nGC_40) + 4d0*cima*  &
                        coupl(nGC_210)*coupl(nGC_22)*coupl(nGC_236)*coupl(     &
                        nGC_266) + 4d0*cima*coupl(nGC_22)**2d0*coupl(nGC_266)* &
                        coupl(nGC_40) + 4d0*cima*coupl(nGC_22)*coupl(nGC_236)* &
                        coupl(nGC_266)*coupl(nGC_37) + 20d0*cima*coupl(nGC_23)*&
                        coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 20d0*cima* &
                        coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71 &
                        ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81 &
                        )*coupl(nGC_83) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40 &
                        )*coupl(nGC_65)*coupl(nGC_67) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima&
                        *coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83&
                        ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65 &
                        )*coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23 &
                        )*coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_83) + 4d0*cima*&
                        coupl(nGC_236)**2d0*coupl(nGC_266)*coupl(nGC_40) - 6d0*&
                        coupl(nGC_1168)*coupl(nGC_164)*coupl(nGC_8) - 6d0*coupl&
                        (nGC_1168)*coupl(nGC_19)*coupl(nGC_21) - 6d0*coupl(    &
                        nGC_164)*coupl(nGC_17)*coupl(nGC_21) - 6d0*coupl(      &
                        nGC_164)*coupl(nGC_21)*coupl(nGC_45) + 36d0*coupl(     &
                        nGC_164)*coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(      &
                        nGC_164)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_168&
                        )*coupl(nGC_178)*coupl(nGC_21) - 6d0*coupl(nGC_17)*    &
                        coupl(nGC_21)*coupl(nGC_25) - 6d0*coupl(nGC_178)*coupl(&
                        nGC_184)*coupl(nGC_8) - 6d0*coupl(nGC_184)*coupl(nGC_21&
                        )*coupl(nGC_42) - 6d0*coupl(nGC_19)*coupl(nGC_362)*    &
                        coupl(nGC_37) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl( &
                        nGC_46) + 6d0*coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_9 &
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_266)*coupl(nGC_9) + 6d0&
                        *coupl(nGC_236)*coupl(nGC_266)*coupl(nGC_8) - 6d0*coupl&
                        (nGC_25)*coupl(nGC_37)*coupl(nGC_9))/(192d0*pi**2d0)
      coupl(nGC_3317) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) + coupl(     &
                        nGC_1168)*coupl(nGC_210)*coupl(nGC_362) - 6d0*coupl(   &
                        nGC_164)*coupl(nGC_362)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_22)**2d0*coupl(&
                        nGC_236) - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_67&
                        ) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_71) - 4d0&
                        *coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83) + coupl(    &
                        nGC_236)*coupl(nGC_266)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3316) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) + coupl(     &
                        nGC_1168)*coupl(nGC_20)*coupl(nGC_37) - 6d0*coupl(     &
                        nGC_164)*coupl(nGC_20)*coupl(nGC_210) + coupl(nGC_22)**&
                        3d0 + coupl(nGC_22)*coupl(nGC_266)**2d0 - 4d0*coupl(   &
                        nGC_23)*coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl(nGC_23 &
                        )*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_23)*coupl&
                        (nGC_81)*coupl(nGC_82) - 6d0*coupl(nGC_25)*coupl(      &
                        nGC_362)*coupl(nGC_40) - 6d0*coupl(nGC_3)*coupl(nGC_362&
                        )*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_3315) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*    &
                        coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57 &
                        )**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*&
                        Nc*coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(    &
                        nGC_38)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl&
                        (nGC_77)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*   &
                        coupl(nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39 &
                        )*coupl(nGC_73)**2d0 + coupl(nGC_1168)**2d0*coupl(     &
                        nGC_40) + coupl(nGC_178)**2d0*coupl(nGC_40) - 6d0*coupl&
                        (nGC_20)*coupl(nGC_236)*coupl(nGC_25) + coupl(nGC_21)* &
                        coupl(nGC_22)*coupl(nGC_37) + coupl(nGC_210)*coupl(    &
                        nGC_266)*coupl(nGC_362) - 6d0*coupl(nGC_22)*coupl(     &
                        nGC_25)*coupl(nGC_362) + 4d0*coupl(nGC_36)*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*   &
                        coupl(nGC_36)*coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)*  &
                        coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_69)** &
                        2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0)/(96d0*pi** &
                        2d0)
      coupl(nGC_3314) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc* &
                        cMB*coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*&
                        coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*&
                        coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*    &
                        coupl(nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*&
                        coupl(nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85  &
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + &
                        4d0*Nc*cMS*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + &
                        4d0*Nc*cMS*coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*  &
                        cMT*coupl(nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl&
                        (nGC_53)*coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl&
                        (nGC_77)**2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61  &
                        )**2d0*coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl( &
                        nGC_63)*coupl(nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0* &
                        coupl(nGC_87) + 4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67&
                        ) + 4d0*cMM*coupl(nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA&
                        *coupl(nGC_81)**2d0*coupl(nGC_83) + 4d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_50) + 8d0*cima*coupl(nGC_27)*coupl(  &
                        nGC_51) + 2d0*cima*coupl(nGC_45)*coupl(nGC_52) + 8d0*  &
                        cima*coupl(nGC_47)*coupl(nGC_8) + coupl(nGC_1168)**2d0*&
                        coupl(nGC_48) - coupl(nGC_1168)*coupl(nGC_21)*coupl(   &
                        nGC_47) - coupl(nGC_1168)*coupl(nGC_266)*coupl(nGC_47  &
                        ) + coupl(nGC_178)**2d0*coupl(nGC_48) - coupl(nGC_178)*&
                        coupl(nGC_21)*coupl(nGC_51) - coupl(nGC_178)*coupl(    &
                        nGC_266)*coupl(nGC_51) + coupl(nGC_20)*coupl(nGC_21)*  &
                        coupl(nGC_48) - coupl(nGC_20)*coupl(nGC_236)*coupl(    &
                        nGC_50) + coupl(nGC_21)*coupl(nGC_266)*coupl(nGC_49) - &
                        coupl(nGC_210)*coupl(nGC_22)*coupl(nGC_47) + coupl(    &
                        nGC_22)*coupl(nGC_362)*coupl(nGC_48) - coupl(nGC_22)*  &
                        coupl(nGC_362)*coupl(nGC_50) + coupl(nGC_236)*coupl(   &
                        nGC_266)*coupl(nGC_48) - coupl(nGC_362)*coupl(nGC_37)* &
                        coupl(nGC_47) - coupl(nGC_40)**2d0*coupl(nGC_52))/(32d0&
                        *pi**2d0)
      coupl(nGC_3252) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl&
                        (nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(   &
                        nGC_64) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc* &
                        coupl(nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*    &
                        coupl(nGC_88) + coupl(nGC_210)*coupl(nGC_37) + 2d0*    &
                        coupl(nGC_22)*coupl(nGC_362) + 4d0*coupl(nGC_66)*coupl(&
                        nGC_68) + 4d0*coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_82)*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_3253) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) -   &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc* &
                        cMS**2d0*cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT &
                        **2d0*cima*coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**  &
                        2d0*cima*coupl(nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*   &
                        cima*coupl(nGC_66)*coupl(nGC_68) - cMH**2d0*cima*coupl(&
                        nGC_210)*coupl(nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70&
                        )*coupl(nGC_72) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*    &
                        coupl(nGC_84) - 4d0*cMW**2d0*cima*coupl(nGC_22)*coupl( &
                        nGC_362) - 4d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*cima* &
                        coupl(nGC_210)*coupl(nGC_37) - 2d0*cMZ**2d0*coupl(     &
                        nGC_46))/(32d0*pi**2d0)
      coupl(nGC_3250) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59  &
                        )**2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(     &
                        nGC_75)**2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl&
                        (nGC_87)**2d0 + coupl(nGC_20)*coupl(nGC_236) + coupl(  &
                        nGC_21)*coupl(nGC_266) + coupl(nGC_210)*coupl(nGC_37   &
                        ) + 4d0*coupl(nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 +  &
                        4d0*coupl(nGC_83)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3251) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC &
                        **2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                        coupl(nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75 &
                        )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima&
                        *coupl(nGC_67)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**&
                        2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*&
                        cima*coupl(nGC_20)*coupl(nGC_236) - cMW**2d0*cima*coupl&
                        (nGC_21)*coupl(nGC_266) - 2d0*cMW**2d0*coupl(nGC_17) - &
                        cMZ**2d0*cima*coupl(nGC_210)*coupl(nGC_37) - cMZ**2d0* &
                        coupl(nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*    &
                        coupl(nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_10346) = -coupl(nGC_3292)
      coupl(nGC_5959) = coupl(nGC_5117) + coupl(nGC_5958)
      coupl(nGC_3542) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1994) - 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2000) - 60d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3543) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1994) - 9d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2000) - 60d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_6640) = coupl(nGC_3681) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_10721) = -coupl(nGC_3289)
      coupl(nGC_5084) = -coupl(nGC_5083)
      coupl(nGC_5001) = coupl(nGC_3640) + coupl(nGC_71)*dZH_QED2/2d0
      coupl(nGC_5002) = coupl(nGC_5000) + coupl(nGC_5001)
      coupl(nGC_5698) = -coupl(nGC_5697)
      coupl(nGC_6247) = coupl(nGC_3579) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(  &
                        nGC_50)*dZWMinus_QED2
      coupl(nGC_4988) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3592)
      coupl(nGC_6184) = coupl(nGC_4942) + coupl(nGC_6183)
      coupl(nGC_5298) = -2d0*coupl(nGC_5295) + coupl(nGC_5296)
      coupl(nGC_3360) = (coupl(nGC_210)*coupl(nGC_36)*coupl(nGC_67) + coupl(   &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_66) - coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(    &
                        nGC_67)**2d0*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_5342) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZuL_QED2
      coupl(nGC_5341) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZuR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_3536) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_2000)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(       &
                        nGC_1994)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_1998)*sq2**2d0 + 33d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_2000)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_3535) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_2000) + 6d0*Nc*cima*coupl(    &
                        nGC_1998)*coupl(nGC_2000) - 9d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_1994)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_1998)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_2000)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_3534) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_2000) + 3d0*Nc*cima*coupl(     &
                        nGC_1998)*coupl(nGC_2000) - 6d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_1998)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_2000)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_5221) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZsL_QED2
      coupl(nGC_5220) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZsR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5223) = coupl(nGC_5219) + coupl(nGC_5221)
      coupl(nGC_5222) = coupl(nGC_5219) + coupl(nGC_5220)
      coupl(nGC_6447) = coupl(nGC_6443) + coupl(nGC_6446)
      coupl(nGC_5153) = coupl(nGC_4988) + coupl(nGC_5150)
      coupl(nGC_5016) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3566) + coupl(      &
                        nGC_HHGG)
      coupl(nGC_5500) = coupl(nGC_5219) + coupl(nGC_5498)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
