!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_6138) = coupl(nGC_3682) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_8162) = -coupl(nGC_5913)
      coupl(nGC_5626) = coupl(nGC_3588) + coupl(nGC_42)*dZAZ_QED2 + coupl(     &
                        nGC_45)*dZZ_QED2
      coupl(nGC_3335) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl( &
                        nGC_1168)*coupl(nGC_164)*coupl(nGC_21) - 6d0*coupl(    &
                        nGC_178)*coupl(nGC_184)*coupl(nGC_21) + coupl(nGC_210)*&
                        coupl(nGC_362)*coupl(nGC_40) + coupl(nGC_22)**2d0*coupl&
                        (nGC_266) + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(     &
                        nGC_67) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_71 &
                        ) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83) +    &
                        coupl(nGC_236)**2d0*coupl(nGC_266) - 6d0*coupl(nGC_25)*&
                        coupl(nGC_362)*coupl(nGC_37))/(96d0*pi**2d0)
      coupl(nGC_3334) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0&
                        *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*&
                        coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl( &
                        nGC_1168)*coupl(nGC_164)*coupl(nGC_362) - 6d0*coupl(   &
                        nGC_178)*coupl(nGC_184)*coupl(nGC_362) - 6d0*coupl(    &
                        nGC_21)*coupl(nGC_210)*coupl(nGC_25) + coupl(nGC_21)*  &
                        coupl(nGC_37)*coupl(nGC_40) + coupl(nGC_22)**3d0 +     &
                        coupl(nGC_22)*coupl(nGC_236)**2d0 + 4d0*coupl(nGC_23)* &
                        coupl(nGC_65)*coupl(nGC_68) + 4d0*coupl(nGC_23)*coupl( &
                        nGC_69)*coupl(nGC_72) + 4d0*coupl(nGC_23)*coupl(nGC_81 &
                        )*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_6133) = coupl(nGC_3680) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_6330) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_tauL_QED2
      coupl(nGC_10387) = -coupl(nGC_3290)
      coupl(nGC_5238) = coupl(nGC_3634) + coupl(nGC_66)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_66)*dZeMinusR_QED2/2d0
      coupl(nGC_5239) = coupl(nGC_3633) + coupl(nGC_68)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_68)*dZeMinusR_QED2/2d0
      coupl(nGC_5232) = coupl(nGC_5059) + coupl(nGC_5231)
      coupl(nGC_5233) = coupl(nGC_5059) + coupl(nGC_5230)
      coupl(nGC_5550) = coupl(nGC_3598) + coupl(nGC_41)*dZZ_QED2/2d0 + coupl(  &
                        nGC_41)*dZnu_muL_QED2
      coupl(nGC_6382) = -coupl(nGC_6381)
      coupl(nGC_5438) = coupl(nGC_4988) + coupl(nGC_5432)
      coupl(nGC_3397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_20)*  &
                        coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_210)*coupl(    &
                        nGC_34)*coupl(nGC_74) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_74) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5437) = coupl(nGC_4988) + coupl(nGC_5436)
      coupl(nGC_3348) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_210)* &
                        coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) -  &
                        coupl(nGC_54)*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(&
                        nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3346) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*&
                        cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*&
                        cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl&
                        (nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58 &
                        )*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59&
                        )*coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*  &
                        coupl(nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63 &
                        )*coupl(nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64&
                        )**2d0 + 4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + &
                        16d0*Nc*cMS*coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76   &
                        ) + 4d0*Nc*cMS*coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0* &
                        Nc*cMT*coupl(nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT* &
                        coupl(nGC_78)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*&
                        coupl(nGC_79)*coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(   &
                        nGC_86)**2d0*coupl(nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*&
                        coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*&
                        coupl(nGC_88)**2d0 + 4d0*cME*coupl(nGC_66)**2d0*coupl( &
                        nGC_67) + 16d0*cME*coupl(nGC_66)*coupl(nGC_67)*coupl(  &
                        nGC_68) + 4d0*cME*coupl(nGC_67)*coupl(nGC_68)**2d0 +   &
                        4d0*cMM*coupl(nGC_70)**2d0*coupl(nGC_71) + 16d0*cMM*   &
                        coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) + 4d0*cMM*   &
                        coupl(nGC_71)*coupl(nGC_72)**2d0 + 4d0*cMTA*coupl(     &
                        nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*coupl(nGC_82)*  &
                        coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*coupl(nGC_83)*  &
                        coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17)*coupl(     &
                        nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + coupl(&
                        nGC_210)**2d0*coupl(nGC_48) + coupl(nGC_210)*coupl(    &
                        nGC_37)*coupl(nGC_49) - coupl(nGC_210)*coupl(nGC_37)*  &
                        coupl(nGC_52) + 2d0*coupl(nGC_22)*coupl(nGC_362)*coupl(&
                        nGC_48) - 2d0*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_50&
                        ) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi**2d0)
      coupl(nGC_3347) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) +   &
                        4d0*Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*&
                        Nc*coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc* &
                        coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*    &
                        coupl(nGC_34)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_59) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_79) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - 4d0*Nc*    &
                        coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*    &
                        coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_59) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_79) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_79)*coupl(nGC_80) - 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*    &
                        coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) + coupl(     &
                        nGC_1168)*coupl(nGC_236)*coupl(nGC_362) - 6d0*coupl(   &
                        nGC_164)*coupl(nGC_20)*coupl(nGC_22) - 6d0*coupl(nGC_21&
                        )*coupl(nGC_22)*coupl(nGC_25) + coupl(nGC_210)**3d0 +  &
                        coupl(nGC_266)*coupl(nGC_362)*coupl(nGC_40) - 4d0*coupl&
                        (nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(nGC_36&
                        )*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36)*coupl&
                        (nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl(nGC_71&
                        )*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82)*coupl&
                        (nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl(nGC_84&
                        ) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67) - 4d0&
                        *coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0*coupl(&
                        nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(nGC_40 &
                        )*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)*coupl&
                        (nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_83&
                        )*coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_5327) = coupl(nGC_3648) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl( &
                        nGC_58)*dZcR_QCD2/2d0
      coupl(nGC_10473) = -coupl(nGC_3317)
      coupl(nGC_5329) = coupl(nGC_3649) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl( &
                        nGC_58)*dZcR_QED2/2d0
      coupl(nGC_3405) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_85) - coupl(nGC_210)*coupl(    &
                        nGC_35)*coupl(nGC_88) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_87)**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5405) = coupl(nGC_5401) + coupl(nGC_5404)
      coupl(nGC_3404) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_86) - coupl(nGC_23)*coupl(     &
                        nGC_266)*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5403) = coupl(nGC_3654) + coupl(nGC_5402)
      coupl(nGC_5246) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3578)
      coupl(nGC_3396) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_76) - coupl(nGC_23)*coupl(     &
                        nGC_236)*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_75) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -  &
                        coupl(nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_6093) = coupl(nGC_4988) + coupl(nGC_6092)
      coupl(nGC_3394) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_70) + coupl(   &
                        nGC_23)*coupl(nGC_266)*coupl(nGC_69) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(    &
                        nGC_71)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9594) = -coupl(nGC_3316)
      coupl(nGC_3506) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl( &
                        nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0* &
                        Nc*cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79 &
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_87)**4d0 + 6d0*cima*   &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(&
                        nGC_236)**2d0 - 5d0*cima*coupl(nGC_21)**2d0*coupl(     &
                        nGC_266)**2d0 - 5d0*cima*coupl(nGC_210)**2d0*coupl(    &
                        nGC_37)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*&
                        coupl(nGC_67)**4d0 + 20d0*cima*coupl(nGC_71)**4d0 +    &
                        20d0*cima*coupl(nGC_83)**4d0 + 3d0*coupl(nGC_13)*coupl(&
                        nGC_20)*coupl(nGC_236) + 3d0*coupl(nGC_13)*coupl(nGC_21&
                        )*coupl(nGC_266) + 3d0*coupl(nGC_13)*coupl(nGC_210)*   &
                        coupl(nGC_37) - 3d0*coupl(nGC_17)*coupl(nGC_20)*coupl( &
                        nGC_236) - 3d0*coupl(nGC_17)*coupl(nGC_21)*coupl(      &
                        nGC_266) - 3d0*coupl(nGC_210)*coupl(nGC_37)*coupl(     &
                        nGC_46))/(16d0*pi**2d0)
      coupl(nGC_3507) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*   &
                        coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*   &
                        cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(  &
                        nGC_64) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*    &
                        coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35&
                        )**2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl&
                        (nGC_35)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*   &
                        cima*coupl(nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) +  &
                        40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*&
                        coupl(nGC_60) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39&
                        )*coupl(nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(    &
                        nGC_35)*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_88) -    &
                        32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(   &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_62 &
                        )*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl&
                        (nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**  &
                        2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(  &
                        nGC_39)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_39)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0* &
                        cima*coupl(nGC_1168)**2d0*coupl(nGC_22)*coupl(nGC_362  &
                        ) + 9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_22)*coupl(  &
                        nGC_362) + 12d0*cima*coupl(nGC_17)*coupl(nGC_592) + 4d0&
                        *cima*coupl(nGC_210)**2d0*coupl(nGC_37)**2d0 + 9d0*cima&
                        *coupl(nGC_22)*coupl(nGC_25)**2d0*coupl(nGC_362) + 4d0*&
                        cima*coupl(nGC_22)*coupl(nGC_362)*coupl(nGC_40)**2d0 - &
                        32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_66)*coupl(nGC_68&
                        ) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_70)*coupl(  &
                        nGC_72) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_82)*  &
                        coupl(nGC_84) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)* &
                        coupl(nGC_66)*coupl(nGC_68) + 40d0*cima*coupl(nGC_36)* &
                        coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) + 40d0*cima* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84 &
                        ) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(  &
                        nGC_68) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_70)*  &
                        coupl(nGC_72) - 32d0*cima*coupl(nGC_40)**2d0*coupl(    &
                        nGC_82)*coupl(nGC_84) + 18d0*coupl(nGC_164)**2d0*coupl(&
                        nGC_17) - 6d0*coupl(nGC_164)*coupl(nGC_22)*coupl(nGC_7 &
                        ) - 6d0*coupl(nGC_164)*coupl(nGC_362)*coupl(nGC_9) +   &
                        18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 + 3d0*coupl(     &
                        nGC_210)*coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl(nGC_22&
                        )*coupl(nGC_25)*coupl(nGC_9) + 6d0*coupl(nGC_22)*coupl(&
                        nGC_362)*coupl(nGC_45) - 6d0*coupl(nGC_22)*coupl(      &
                        nGC_362)*coupl(nGC_592) - 6d0*coupl(nGC_25)*coupl(     &
                        nGC_362)*coupl(nGC_7))/(96d0*pi**2d0)
      coupl(nGC_3504) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +  &
                        80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(   &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56 &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*&
                        coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl( &
                        nGC_60)**2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(  &
                        nGC_63)**2d0 + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63 &
                        )**2d0*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0*&
                        coupl(nGC_64)**2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*  &
                        coupl(nGC_75)**2d0 + 80d0*Nc*cima*coupl(nGC_74)*coupl( &
                        nGC_75)**2d0*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_75 &
                        )**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima*coupl(nGC_78  &
                        )**2d0*coupl(nGC_79)**2d0 + 80d0*Nc*cima*coupl(nGC_78)*&
                        coupl(nGC_79)**2d0*coupl(nGC_80) + 20d0*Nc*cima*coupl( &
                        nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(  &
                        nGC_86)**2d0*coupl(nGC_87)**2d0 + 80d0*Nc*cima*coupl(  &
                        nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + 20d0*Nc*cima&
                        *coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 + 12d0*cima*    &
                        coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(&
                        nGC_22)**2d0 - 20d0*cima*coupl(nGC_20)*coupl(nGC_22)*  &
                        coupl(nGC_236)*coupl(nGC_362) - 5d0*cima*coupl(nGC_21  &
                        )**2d0*coupl(nGC_22)**2d0 - 20d0*cima*coupl(nGC_21)*   &
                        coupl(nGC_22)*coupl(nGC_266)*coupl(nGC_362) - 10d0*cima&
                        *coupl(nGC_210)**2d0*coupl(nGC_37)**2d0 - 5d0*cima*    &
                        coupl(nGC_236)**2d0*coupl(nGC_362)**2d0 - 5d0*cima*    &
                        coupl(nGC_266)**2d0*coupl(nGC_362)**2d0 + 6d0*cima*    &
                        coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_66)**2d0*coupl&
                        (nGC_67)**2d0 + 80d0*cima*coupl(nGC_66)*coupl(nGC_67)**&
                        2d0*coupl(nGC_68) + 20d0*cima*coupl(nGC_67)**2d0*coupl(&
                        nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*coupl(     &
                        nGC_71)**2d0 + 80d0*cima*coupl(nGC_70)*coupl(nGC_71)** &
                        2d0*coupl(nGC_72) + 20d0*cima*coupl(nGC_71)**2d0*coupl(&
                        nGC_72)**2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl(     &
                        nGC_83)**2d0 + 80d0*cima*coupl(nGC_82)*coupl(nGC_83)** &
                        2d0*coupl(nGC_84) + 20d0*cima*coupl(nGC_83)**2d0*coupl(&
                        nGC_84)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_20)*coupl(  &
                        nGC_236) + 3d0*coupl(nGC_13)*coupl(nGC_21)*coupl(      &
                        nGC_266) + 6d0*coupl(nGC_13)*coupl(nGC_210)**2d0 + 6d0*&
                        coupl(nGC_13)*coupl(nGC_22)*coupl(nGC_362) + 6d0*coupl(&
                        nGC_13)*coupl(nGC_37)**2d0 + 6d0*coupl(nGC_15)*coupl(  &
                        nGC_210)*coupl(nGC_37) - 3d0*coupl(nGC_17)*coupl(nGC_20&
                        )*coupl(nGC_236) - 3d0*coupl(nGC_17)*coupl(nGC_21)*    &
                        coupl(nGC_266) - 6d0*coupl(nGC_17)*coupl(nGC_22)*coupl(&
                        nGC_362) - 6d0*coupl(nGC_210)*coupl(nGC_37)*coupl(     &
                        nGC_46))/(96d0*pi**2d0)
      coupl(nGC_6490) = coupl(nGC_6483) + coupl(nGC_6489)
      coupl(nGC_3502) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl( &
                        nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58 &
                        )*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl&
                        (nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**  &
                        2d0*coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(  &
                        nGC_23)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima&
                        *coupl(nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0* &
                        cima*coupl(nGC_164)**2d0*coupl(nGC_210)*coupl(nGC_37   &
                        ) + 9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_22)*coupl(  &
                        nGC_362) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 9d0*&
                        cima*coupl(nGC_184)**2d0*coupl(nGC_22)*coupl(nGC_362   &
                        ) + 4d0*cima*coupl(nGC_20)*coupl(nGC_210)*coupl(nGC_236&
                        )*coupl(nGC_37) + 4d0*cima*coupl(nGC_20)*coupl(nGC_22)*&
                        coupl(nGC_236)*coupl(nGC_362) + 4d0*cima*coupl(nGC_21)*&
                        coupl(nGC_210)*coupl(nGC_266)*coupl(nGC_37) + 4d0*cima*&
                        coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_266)*coupl(      &
                        nGC_362) + 9d0*cima*coupl(nGC_210)*coupl(nGC_25)**2d0* &
                        coupl(nGC_37) + 8d0*cima*coupl(nGC_22)**2d0*coupl(     &
                        nGC_362)**2d0 + 9d0*cima*coupl(nGC_22)*coupl(nGC_25)** &
                        2d0*coupl(nGC_362) + 9d0*cima*coupl(nGC_22)*coupl(nGC_3&
                        )**2d0*coupl(nGC_362) - 32d0*cima*coupl(nGC_23)**2d0*  &
                        coupl(nGC_66)*coupl(nGC_68) - 32d0*cima*coupl(nGC_23)**&
                        2d0*coupl(nGC_70)*coupl(nGC_72) - 32d0*cima*coupl(     &
                        nGC_23)**2d0*coupl(nGC_82)*coupl(nGC_84) + 12d0*cima*  &
                        coupl(nGC_46)*coupl(nGC_592) + 36d0*coupl(nGC_164)**2d0&
                        *coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl(nGC_22)*coupl&
                        (nGC_9) - 6d0*coupl(nGC_164)*coupl(nGC_362)*coupl(nGC_7&
                        ) + 36d0*coupl(nGC_17)*coupl(nGC_184)**2d0 + 6d0*coupl(&
                        nGC_17)*coupl(nGC_210)*coupl(nGC_37) + 12d0*coupl(     &
                        nGC_17)*coupl(nGC_22)*coupl(nGC_362) - 12d0*coupl(     &
                        nGC_18)*coupl(nGC_22)*coupl(nGC_362) - 6d0*coupl(      &
                        nGC_184)*coupl(nGC_22)*coupl(nGC_28) - 6d0*coupl(      &
                        nGC_184)*coupl(nGC_26)*coupl(nGC_362) - 6d0*coupl(     &
                        nGC_210)*coupl(nGC_37)*coupl(nGC_592) - 6d0*coupl(     &
                        nGC_22)*coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_22)*&
                        coupl(nGC_26)*coupl(nGC_3) + 36d0*coupl(nGC_25)**2d0*  &
                        coupl(nGC_46) - 6d0*coupl(nGC_25)*coupl(nGC_362)*coupl(&
                        nGC_9) - 6d0*coupl(nGC_28)*coupl(nGC_3)*coupl(nGC_362  &
                        ))/(192d0*pi**2d0)
      coupl(nGC_5447) = coupl(nGC_3564) + coupl(nGC_44)*dZH_QED2/2d0
      coupl(nGC_3370) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_79) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_80) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) -  &
                        coupl(nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(&
                        nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3373) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_83) + coupl(   &
                        nGC_23)*coupl(nGC_362)*coupl(nGC_81) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(    &
                        nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3372) = (coupl(nGC_210)*coupl(nGC_36)*coupl(nGC_83) + coupl(   &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_82) - coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(    &
                        nGC_83)**2d0*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_3374) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_210)* &
                        coupl(nGC_35)*coupl(nGC_87) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_87) - coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0* &
                        coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_3376) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_87) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_88) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) -  &
                        coupl(nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(&
                        nGC_88)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5045) = coupl(nGC_3622) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl( &
                        nGC_56)*dZbR_QCD2/2d0
      coupl(nGC_7477) = coupl(nGC_5122) + coupl(nGC_7475)
      coupl(nGC_5047) = coupl(nGC_3623) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl( &
                        nGC_56)*dZbR_QED2/2d0
      coupl(nGC_5046) = coupl(nGC_3621) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl( &
                        nGC_54)*dZbR_QED2/2d0
      coupl(nGC_5991) = coupl(nGC_3643) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl( &
                        nGC_86)*dZuR_QED2/2d0
      coupl(nGC_6154) = coupl(nGC_4988) + coupl(nGC_6149)
      coupl(nGC_6768) = coupl(nGC_5122) + coupl(nGC_6765)
      coupl(nGC_6155) = coupl(nGC_4988) + coupl(nGC_6151)
      coupl(nGC_5419) = coupl(nGC_4942) + coupl(nGC_5417)
      coupl(nGC_6767) = coupl(nGC_5122) + coupl(nGC_6766)
      coupl(nGC_5659) = -coupl(nGC_5521)
      coupl(nGC_5960) = coupl(nGC_5117) + coupl(nGC_5957)
      coupl(nGC_8508) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3565) + coupl(  &
                        nGC_HHHH)
      coupl(nGC_5650) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZdL_QED2
      coupl(nGC_5651) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZdR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5652) = coupl(nGC_5219) + coupl(nGC_5651)
      coupl(nGC_5653) = coupl(nGC_5219) + coupl(nGC_5650)
      coupl(nGC_5656) = coupl(nGC_3589) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2
      coupl(nGC_5192) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3561)
      coupl(nGC_3478) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(nGC_1168&
                        )*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_3) + 24d0*cima&
                        *coupl(nGC_168)*coupl(nGC_8) + 9d0*cima*coupl(nGC_178)*&
                        coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_3) + 4d0*cima*  &
                        coupl(nGC_178)*coupl(nGC_210)*coupl(nGC_362)*coupl(    &
                        nGC_40) + 9d0*cima*coupl(nGC_184)*coupl(nGC_25)*coupl( &
                        nGC_362)*coupl(nGC_37) + 4d0*cima*coupl(nGC_22)**2d0*  &
                        coupl(nGC_266)*coupl(nGC_4) + 4d0*cima*coupl(nGC_23)*  &
                        coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_67) + 4d0*cima*   &
                        coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_71  &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_81)* &
                        coupl(nGC_83) + 4d0*cima*coupl(nGC_236)**2d0*coupl(    &
                        nGC_266)*coupl(nGC_4) + 24d0*cima*coupl(nGC_27)*coupl( &
                        nGC_5) - 6d0*coupl(nGC_1168)*coupl(nGC_168)*coupl(     &
                        nGC_21) - 6d0*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_42&
                        ) - 6d0*coupl(nGC_168)*coupl(nGC_362)*coupl(nGC_37) -  &
                        6d0*coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_21) - 6d0*  &
                        coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_3) - 6d0*coupl(  &
                        nGC_178)*coupl(nGC_21)*coupl(nGC_5) - 6d0*coupl(nGC_184&
                        )*coupl(nGC_21)*coupl(nGC_6) + 36d0*coupl(nGC_184)*    &
                        coupl(nGC_25)*coupl(nGC_8) + 36d0*coupl(nGC_184)*coupl(&
                        nGC_27)*coupl(nGC_3) + 6d0*coupl(nGC_210)*coupl(nGC_28 &
                        )*coupl(nGC_40) + 6d0*coupl(nGC_22)*coupl(nGC_266)*    &
                        coupl(nGC_28) + 6d0*coupl(nGC_236)*coupl(nGC_266)*coupl&
                        (nGC_27) - 6d0*coupl(nGC_25)*coupl(nGC_27)*coupl(nGC_40&
                        ) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(nGC_37) - 6d0&
                        *coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_4))/(192d0*pi**  &
                        2d0)
      coupl(nGC_10690) = -coupl(nGC_3315)
      coupl(nGC_10101) = -coupl(nGC_3347)
      coupl(nGC_3378) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 &
                         + 8d0*Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67&
                        )**3d0 + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(  &
                        nGC_83)**3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +  &
                        2d0*cima*coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_20)*  &
                        coupl(nGC_236)*coupl(nGC_48) - coupl(nGC_20)*coupl(    &
                        nGC_236)*coupl(nGC_50) + coupl(nGC_21)*coupl(nGC_266)* &
                        coupl(nGC_48) - coupl(nGC_21)*coupl(nGC_266)*coupl(    &
                        nGC_50) + coupl(nGC_210)*coupl(nGC_37)*coupl(nGC_48) - &
                        coupl(nGC_210)*coupl(nGC_37)*coupl(nGC_52))/(32d0*pi** &
                        2d0)
      coupl(nGC_3476) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_75) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_55) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_79) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_87) + 4d0*cima*coupl(nGC_1168&
                        )*coupl(nGC_210)*coupl(nGC_362)*coupl(nGC_4) + 9d0*cima&
                        *coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_362)*coupl(     &
                        nGC_37) + 24d0*cima*coupl(nGC_168)*coupl(nGC_8) + 4d0* &
                        cima*coupl(nGC_178)*coupl(nGC_22)**2d0*coupl(nGC_236   &
                        ) + 4d0*cima*coupl(nGC_178)*coupl(nGC_236)*coupl(      &
                        nGC_266)**2d0 + 9d0*cima*coupl(nGC_184)*coupl(nGC_20)* &
                        coupl(nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(nGC_184)* &
                        coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_4) + 4d0*cima*    &
                        coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(nGC_67  &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_69)* &
                        coupl(nGC_71) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*   &
                        coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*coupl(nGC_27)* &
                        coupl(nGC_5) - 6d0*coupl(nGC_1168)*coupl(nGC_164)*coupl&
                        (nGC_27) + 6d0*coupl(nGC_1168)*coupl(nGC_210)*coupl(   &
                        nGC_26) - 6d0*coupl(nGC_164)*coupl(nGC_26)*coupl(nGC_37&
                        ) + 36d0*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_8) - 6d0&
                        *coupl(nGC_168)*coupl(nGC_20)*coupl(nGC_40) - 6d0*coupl&
                        (nGC_168)*coupl(nGC_362)*coupl(nGC_37) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_184)*coupl(nGC_20) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_20)*coupl(nGC_3) - 6d0*coupl(nGC_178)*coupl&
                        (nGC_184)*coupl(nGC_27) + 36d0*coupl(nGC_184)*coupl(   &
                        nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_20)*coupl(nGC_25)*&
                        coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(  &
                        nGC_6) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_5) + &
                        6d0*coupl(nGC_22)*coupl(nGC_236)*coupl(nGC_26) + 6d0*  &
                        coupl(nGC_236)*coupl(nGC_266)*coupl(nGC_27))/(192d0*pi &
                        **2d0)
      coupl(nGC_3477) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_76) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_56) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_88) + 9d0*cima*coupl(nGC_1168&
                        )*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_362) + 24d0*   &
                        cima*coupl(nGC_168)*coupl(nGC_9) + 9d0*cima*coupl(     &
                        nGC_178)*coupl(nGC_184)*coupl(nGC_3)*coupl(nGC_362) +  &
                        4d0*cima*coupl(nGC_178)*coupl(nGC_21)*coupl(nGC_37)*   &
                        coupl(nGC_40) + 9d0*cima*coupl(nGC_184)*coupl(nGC_21)* &
                        coupl(nGC_210)*coupl(nGC_25) + 4d0*cima*coupl(nGC_22)**&
                        3d0*coupl(nGC_4) + 4d0*cima*coupl(nGC_22)*coupl(nGC_236&
                        )**2d0*coupl(nGC_4) + 4d0*cima*coupl(nGC_23)*coupl(    &
                        nGC_4)*coupl(nGC_65)*coupl(nGC_68) + 4d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_72) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(   &
                        nGC_84) + 24d0*cima*coupl(nGC_28)*coupl(nGC_5) - 6d0*  &
                        coupl(nGC_1168)*coupl(nGC_168)*coupl(nGC_362) - 6d0*   &
                        coupl(nGC_164)*coupl(nGC_362)*coupl(nGC_42) - 6d0*coupl&
                        (nGC_168)*coupl(nGC_21)*coupl(nGC_210) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_184)*coupl(nGC_362) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_362) - 6d0*coupl(nGC_178&
                        )*coupl(nGC_362)*coupl(nGC_5) + 36d0*coupl(nGC_184)*   &
                        coupl(nGC_25)*coupl(nGC_9) + 36d0*coupl(nGC_184)*coupl(&
                        nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_184)*coupl(nGC_362&
                        )*coupl(nGC_6) - 6d0*coupl(nGC_210)*coupl(nGC_25)*coupl&
                        (nGC_27) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_28) + 6d0* &
                        coupl(nGC_22)*coupl(nGC_236)*coupl(nGC_27) - 6d0*coupl(&
                        nGC_25)*coupl(nGC_28)*coupl(nGC_40) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_37)*coupl(nGC_40) - 6d0*coupl(nGC_28)*coupl&
                        (nGC_3)*coupl(nGC_4))/(192d0*pi**2d0)
      coupl(nGC_3475) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)* &
                        coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23 &
                        )*coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(   &
                        nGC_74) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl&
                        (nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53)*coupl(   &
                        nGC_54) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                        nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_2)*coupl&
                        (nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74  &
                        ) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_77&
                        )*coupl(nGC_78) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23&
                        )*coupl(nGC_85)*coupl(nGC_86) + 4d0*cima*coupl(nGC_1168&
                        )*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_4) + 9d0*cima* &
                        coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_210)*coupl(nGC_3&
                        ) + 24d0*cima*coupl(nGC_168)*coupl(nGC_7) + 4d0*cima*  &
                        coupl(nGC_178)*coupl(nGC_22)**3d0 + 4d0*cima*coupl(    &
                        nGC_178)*coupl(nGC_22)*coupl(nGC_266)**2d0 + 9d0*cima* &
                        coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_362)*coupl(     &
                        nGC_40) + 9d0*cima*coupl(nGC_184)*coupl(nGC_3)*coupl(  &
                        nGC_362)*coupl(nGC_4) + 4d0*cima*coupl(nGC_23)*coupl(  &
                        nGC_4)*coupl(nGC_65)*coupl(nGC_66) + 4d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_4)*coupl(nGC_69)*coupl(nGC_70) + 4d0*&
                        cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(   &
                        nGC_82) + 24d0*cima*coupl(nGC_26)*coupl(nGC_5) - 6d0*  &
                        coupl(nGC_1168)*coupl(nGC_164)*coupl(nGC_26) + 6d0*    &
                        coupl(nGC_1168)*coupl(nGC_27)*coupl(nGC_37) - 6d0*coupl&
                        (nGC_164)*coupl(nGC_210)*coupl(nGC_27) + 36d0*coupl(   &
                        nGC_164)*coupl(nGC_3)*coupl(nGC_7) - 6d0*coupl(nGC_168 &
                        )*coupl(nGC_20)*coupl(nGC_210) - 6d0*coupl(nGC_168)*   &
                        coupl(nGC_362)*coupl(nGC_40) - 6d0*coupl(nGC_17)*coupl(&
                        nGC_184)*coupl(nGC_362) - 6d0*coupl(nGC_17)*coupl(nGC_3&
                        )*coupl(nGC_362) - 6d0*coupl(nGC_178)*coupl(nGC_184)*  &
                        coupl(nGC_26) + 36d0*coupl(nGC_184)*coupl(nGC_26)*coupl&
                        (nGC_3) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_26) + 6d0*  &
                        coupl(nGC_22)*coupl(nGC_266)*coupl(nGC_27) - 6d0*coupl(&
                        nGC_25)*coupl(nGC_362)*coupl(nGC_42) - 6d0*coupl(nGC_3 &
                        )*coupl(nGC_362)*coupl(nGC_6) - 6d0*coupl(nGC_362)*    &
                        coupl(nGC_4)*coupl(nGC_5))/(192d0*pi**2d0)
      coupl(nGC_5050) = coupl(nGC_3566) + coupl(nGC_HHGG)
      coupl(nGC_6079) = coupl(nGC_3585) + coupl(nGC_47)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_5029) = coupl(nGC_3616) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl( &
                        nGC_74)*dZsR_QCD2/2d0
      coupl(nGC_9822) = -coupl(nGC_3334)
      coupl(nGC_9989) = -coupl(nGC_3335)
      coupl(nGC_3503) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 +   &
                        6d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_210)**&
                        2d0*coupl(nGC_37)**2d0 - 10d0*cima*coupl(nGC_22)**2d0* &
                        coupl(nGC_362)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 +    &
                        20d0*cima*coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + 20d0*&
                        cima*coupl(nGC_70)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*&
                        coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_210)*coupl(nGC_37) + 6d0*coupl(nGC_13&
                        )*coupl(nGC_22)*coupl(nGC_362) - 6d0*coupl(nGC_17)*    &
                        coupl(nGC_22)*coupl(nGC_362) - 3d0*coupl(nGC_210)*coupl&
                        (nGC_37)*coupl(nGC_46))/(16d0*pi**2d0)
      coupl(nGC_5119) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZcL_QED2
      coupl(nGC_5118) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZcR_QED2 + &
                        coupl(nGC_3594)
      coupl(nGC_6376) = -coupl(nGC_6375)
      coupl(nGC_5662) = coupl(nGC_3565) + coupl(nGC_HHHH)
      coupl(nGC_5261) = -coupl(nGC_5260)
      coupl(nGC_3533) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_2000) + 12d0*Nc*cima*coupl&
                        (nGC_1998)*coupl(nGC_2000) - 21d0*Nc*coupl(nGC_10)**2d0&
                        *coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_1994)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_1998)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_2000)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0&
                        *sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_5263) = -coupl(nGC_5262)
      coupl(nGC_3531) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 +   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1994) - 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_2000) - 30d0*cima*coupl(  &
                        nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_3362) = (coupl(nGC_210)*coupl(nGC_36)*coupl(nGC_71) + coupl(   &
                        nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36 &
                        )*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_70) - coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(    &
                        nGC_71)**2d0*coupl(nGC_72))/(32d0*pi**2d0)
      coupl(nGC_5839) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_3571) + coupl(nGC_9)*    &
                        dZZA_QED2/2d0
      coupl(nGC_3399) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_210)* &
                        coupl(nGC_39)*coupl(nGC_78) - coupl(nGC_23)*coupl(     &
                        nGC_266)*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_79) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) -  &
                        coupl(nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_5154) = coupl(nGC_4988) + coupl(nGC_5148)
      coupl(nGC_5575) = coupl(nGC_3665) + coupl(nGC_5573)
      coupl(nGC_6523) = coupl(nGC_6519) + coupl(nGC_6522)
      coupl(nGC_3391) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                        nGC_210)*coupl(nGC_36)*coupl(nGC_68) + 8d0*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_67) - coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(    &
                        nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3390) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_66) + coupl(   &
                        nGC_23)*coupl(nGC_266)*coupl(nGC_65) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(    &
                        nGC_67)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3403) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                        nGC_210)*coupl(nGC_36)*coupl(nGC_84) + 8d0*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_83) - coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(    &
                        nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3402) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_82) + coupl(   &
                        nGC_23)*coupl(nGC_266)*coupl(nGC_81) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(    &
                        nGC_83)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3395) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                        nGC_210)*coupl(nGC_36)*coupl(nGC_72) + 8d0*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(   &
                        nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_71) - coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(    &
                        nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3400) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*  &
                        coupl(nGC_23)*coupl(nGC_77) - coupl(nGC_210)*coupl(    &
                        nGC_35)*coupl(nGC_80) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) -  &
                        coupl(nGC_79)**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_7150) = coupl(nGC_3673) + coupl(nGC_7144)
      coupl(nGC_6042) = coupl(nGC_4988) + coupl(nGC_6039)
      coupl(nGC_3489) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(  &
                        nGC_56) + 20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_78 &
                        )*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*coupl(    &
                        nGC_54)*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*    &
                        coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78 &
                        ) + 20d0*Nc*cima*coupl(nGC_54)*coupl(nGC_56)*coupl(    &
                        nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(  &
                        nGC_58)*coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_57)**2d0&
                        *coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(     &
                        nGC_57)*coupl(nGC_58)*coupl(nGC_73)*coupl(nGC_76) +    &
                        20d0*Nc*cima*coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73)*&
                        coupl(nGC_74) + 20d0*Nc*cima*coupl(nGC_58)*coupl(nGC_60&
                        )*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0*&
                        coupl(nGC_62)*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_61&
                        )**2d0*coupl(nGC_86)*coupl(nGC_88) + 20d0*Nc*cima*coupl&
                        (nGC_61)*coupl(nGC_62)*coupl(nGC_85)*coupl(nGC_88) +   &
                        20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85)*&
                        coupl(nGC_86) + 20d0*Nc*cima*coupl(nGC_62)*coupl(nGC_64&
                        )*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_73)**2d0*&
                        coupl(nGC_74)*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_77&
                        )**2d0*coupl(nGC_78)*coupl(nGC_80) + 20d0*Nc*cima*coupl&
                        (nGC_85)**2d0*coupl(nGC_86)*coupl(nGC_88) - 10d0*cima* &
                        coupl(nGC_1168)**2d0*coupl(nGC_22)*coupl(nGC_362) - 5d0&
                        *cima*coupl(nGC_1168)*coupl(nGC_20)*coupl(nGC_210)*    &
                        coupl(nGC_362) - 5d0*cima*coupl(nGC_1168)*coupl(nGC_22 &
                        )*coupl(nGC_236)*coupl(nGC_37) + 12d0*cima*coupl(nGC_17&
                        )**2d0 - 10d0*cima*coupl(nGC_178)**2d0*coupl(nGC_22)*  &
                        coupl(nGC_362) - 10d0*cima*coupl(nGC_20)*coupl(nGC_22)*&
                        coupl(nGC_236)*coupl(nGC_362) - 10d0*cima*coupl(nGC_21 &
                        )*coupl(nGC_210)*coupl(nGC_266)*coupl(nGC_37) - 5d0*   &
                        cima*coupl(nGC_21)*coupl(nGC_210)*coupl(nGC_362)*coupl(&
                        nGC_40) - 10d0*cima*coupl(nGC_210)*coupl(nGC_37)*coupl(&
                        nGC_40)**2d0 - 10d0*cima*coupl(nGC_22)**2d0*coupl(     &
                        nGC_362)**2d0 - 5d0*cima*coupl(nGC_22)*coupl(nGC_266)* &
                        coupl(nGC_37)*coupl(nGC_40) + 24d0*cima*coupl(nGC_26)* &
                        coupl(nGC_28) + 6d0*cima*coupl(nGC_45)*coupl(nGC_46) + &
                        20d0*cima*coupl(nGC_65)**2d0*coupl(nGC_66)*coupl(nGC_68&
                        ) + 20d0*cima*coupl(nGC_69)**2d0*coupl(nGC_70)*coupl(  &
                        nGC_72) + 24d0*cima*coupl(nGC_7)*coupl(nGC_9) + 20d0*  &
                        cima*coupl(nGC_81)**2d0*coupl(nGC_82)*coupl(nGC_84) +  &
                        3d0*coupl(nGC_1168)**2d0*coupl(nGC_13) - 6d0*coupl(    &
                        nGC_1168)*coupl(nGC_22)*coupl(nGC_9) - 6d0*coupl(      &
                        nGC_1168)*coupl(nGC_362)*coupl(nGC_7) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_178)**2d0 + 3d0*coupl(nGC_13)*coupl( &
                        nGC_21)*coupl(nGC_266) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_210)*coupl(nGC_37) + 6d0*coupl(nGC_13)*coupl(nGC_22&
                        )**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_362)**2d0 + 6d0*  &
                        coupl(nGC_14)*coupl(nGC_22)*coupl(nGC_362) + 3d0*coupl(&
                        nGC_15)*coupl(nGC_22)*coupl(nGC_362) - 3d0*coupl(nGC_17&
                        )*coupl(nGC_20)*coupl(nGC_236) - 9d0*coupl(nGC_17)*    &
                        coupl(nGC_22)*coupl(nGC_362) - 6d0*coupl(nGC_178)*coupl&
                        (nGC_22)*coupl(nGC_28) - 6d0*coupl(nGC_178)*coupl(     &
                        nGC_26)*coupl(nGC_362) - 6d0*coupl(nGC_21)*coupl(      &
                        nGC_210)*coupl(nGC_7) - 3d0*coupl(nGC_210)*coupl(nGC_37&
                        )*coupl(nGC_45) - 6d0*coupl(nGC_266)*coupl(nGC_37)*    &
                        coupl(nGC_9) - 3d0*coupl(nGC_40)**2d0*coupl(nGC_46))/( &
                        96d0*pi**2d0)
      coupl(nGC_3366) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_210)* &
                        coupl(nGC_38)*coupl(nGC_75) - coupl(nGC_23)*coupl(     &
                        nGC_362)*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_74) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) -  &
                        coupl(nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0* &
                        coupl(nGC_76))/(32d0*pi**2d0)
      coupl(nGC_3364) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_210)* &
                        coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) -  &
                        coupl(nGC_74)*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(&
                        nGC_76)**2d0)/(32d0*pi**2d0)
      coupl(nGC_6043) = coupl(nGC_4988) + coupl(nGC_6041)
      coupl(nGC_5470) = -2d0*coupl(nGC_5469)
      coupl(nGC_3363) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_71) + coupl(   &
                        nGC_23)*coupl(nGC_362)*coupl(nGC_69) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(    &
                        nGC_70)*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5906) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 + &
                        coupl(nGC_3578)
      coupl(nGC_3361) = (coupl(nGC_210)*coupl(nGC_40)*coupl(nGC_67) + coupl(   &
                        nGC_23)*coupl(nGC_362)*coupl(nGC_65) + coupl(nGC_36)*  &
                        coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl( &
                        nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(   &
                        nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(    &
                        nGC_66)*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3368) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_210)* &
                        coupl(nGC_35)*coupl(nGC_79) - coupl(nGC_22)*coupl(     &
                        nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_79) - coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) -  &
                        coupl(nGC_78)**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_5193) = -coupl(nGC_5192)
      coupl(nGC_4989) = coupl(nGC_4983) + coupl(nGC_4988)
      coupl(nGC_5121) = coupl(nGC_5117) + coupl(nGC_5119)
      coupl(nGC_4990) = coupl(nGC_4985) + coupl(nGC_4988)
      coupl(nGC_5344) = coupl(nGC_5117) + coupl(nGC_5342)
      coupl(nGC_5120) = coupl(nGC_5117) + coupl(nGC_5118)
      coupl(nGC_6094) = coupl(nGC_4988) + coupl(nGC_6090)
      coupl(nGC_5343) = coupl(nGC_5117) + coupl(nGC_5341)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
